#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11ae3867, "crypto_aead_setkey" },
	{ 0xca6291ca, "crypto_destroy_tfm" },
	{ 0x21cd536a, "crypto_put_default_null_skcipher" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf73e129, "af_alg_unregister_type" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x34a66c54, "crypto_alloc_aead" },
	{ 0x28216847, "crypto_get_default_null_skcipher" },
	{ 0x144dace5, "lock_sock_nested" },
	{ 0x46131023, "release_sock" },
	{ 0x832df1c6, "af_alg_alloc_areq" },
	{ 0x2b91bc87, "af_alg_get_rsgl" },
	{ 0x7c6a7919, "af_alg_free_resources" },
	{ 0x5210f1a7, "af_alg_wmem_wakeup" },
	{ 0xe10bcd31, "af_alg_wait_for_data" },
	{ 0x27e92408, "af_alg_async_cb" },
	{ 0xb9ef0da, "crypto_aead_decrypt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x1c0c953e, "crypto_aead_encrypt" },
	{ 0x6209ab8e, "af_alg_count_tsgl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe8e9fe88, "sk_free" },
	{ 0x3c96a141, "af_alg_release" },
	{ 0x12fb9e17, "sock_no_bind" },
	{ 0x8794c100, "sock_no_connect" },
	{ 0x5777dc68, "sock_no_socketpair" },
	{ 0x1cc79fbb, "sock_no_accept" },
	{ 0x8b9f422b, "sock_no_getname" },
	{ 0x4cfa1093, "af_alg_poll" },
	{ 0x2ea95187, "sock_no_ioctl" },
	{ 0x3d352bd0, "sock_no_listen" },
	{ 0x43dc1a15, "sock_no_shutdown" },
	{ 0x1ea97be8, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa69fc81f, "af_alg_register_type" },
	{ 0xc4cd973f, "crypto_skcipher_encrypt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb61493db, "af_alg_sendmsg" },
	{ 0x8e6f0071, "crypto_aead_setauthsize" },
	{ 0xd3a00eae, "af_alg_pull_tsgl" },
	{ 0x2107a1a9, "sock_kzfree_s" },
	{ 0x28e240e2, "sock_kfree_s" },
	{ 0xb679501a, "af_alg_release_parent" },
	{ 0xb1209c1c, "sock_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "af_alg");


MODULE_INFO(srcversion, "8D593FC05371166783E0B6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
