#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gnss_serial_allocate, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_free, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_register, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_deregister, "_gpl", "");
KSYMTAB_DATA(gnss_serial_pm_ops, "_gpl", "");

SYMBOL_CRC(gnss_serial_allocate, 0x1bb15839, "_gpl");
SYMBOL_CRC(gnss_serial_free, 0x144d7921, "_gpl");
SYMBOL_CRC(gnss_serial_register, 0xa0d6a4dc, "_gpl");
SYMBOL_CRC(gnss_serial_deregister, 0x0ad386e2, "_gpl");
SYMBOL_CRC(gnss_serial_pm_ops, 0x939971e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbb22d7aa, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x56406e48, "serdev_device_write_wakeup" },
	{ 0x2a1bc7c6, "serdev_device_write" },
	{ 0x5b789b82, "serdev_device_wait_until_sent" },
	{ 0xb60b6f54, "gnss_allocate_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a92db80, "gnss_deregister_device" },
	{ 0xbfa23928, "__pm_runtime_resume" },
	{ 0x1edd160, "serdev_device_close" },
	{ 0xd83bd8cb, "gnss_register_device" },
	{ 0x1d34c28d, "gnss_put_device" },
	{ 0x7a89953c, "__pm_runtime_disable" },
	{ 0xdb3cb306, "__pm_runtime_idle" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x36b37d6a, "serdev_device_set_baudrate" },
	{ 0x27aecedc, "gnss_insert_raw" },
	{ 0xb399db1b, "serdev_device_set_flow_control" },
	{ 0x37a0cba, "kfree" },
	{ 0x6507f061, "serdev_device_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "gnss");


MODULE_INFO(srcversion, "D007DBB3AFE25E0D1D8C472");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
