#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7011bcf, "drm_add_edid_modes" },
	{ 0x4ed99434, "drm_add_modes_noedid" },
	{ 0x18a33670, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0x7e981ab9, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x7fca5ed8, "drm_dev_alloc" },
	{ 0x8a6691e5, "pcim_enable_device" },
	{ 0x2c672d09, "drmm_kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0x4d5c7cb9, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x2f8b90a4, "drmm_vram_helper_init" },
	{ 0xd28273e2, "drmm_mode_config_init" },
	{ 0x25d06043, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xaf4ecc12, "drm_do_get_edid" },
	{ 0x224374f9, "drm_simple_display_pipe_init" },
	{ 0x9979895e, "drm_mode_config_reset" },
	{ 0x1ac22c7d, "drm_dev_register" },
	{ 0x856ba30c, "drm_fbdev_generic_setup" },
	{ 0xebd35623, "drm_connector_attach_edid_property" },
	{ 0x75ad66c3, "drm_connector_update_edid_property" },
	{ 0x9e087603, "drm_gem_vram_offset" },
	{ 0x5b43a34d, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x61c1af37, "drm_vram_mm_debugfs_init" },
	{ 0x4e4ed270, "drm_gem_vram_driver_dumb_create" },
	{ 0x2ac60186, "drm_gem_ttm_dumb_map_offset" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0x7fb10aba, "drm_read" },
	{ 0x9edf0b57, "drm_poll" },
	{ 0x74330604, "drm_ioctl" },
	{ 0xd8f9af17, "drm_compat_ioctl" },
	{ 0x5cf4da74, "drm_gem_mmap" },
	{ 0x94ce7d0e, "drm_open" },
	{ 0xbed3250d, "drm_release" },
	{ 0xf981eb41, "drm_vram_helper_mode_valid" },
	{ 0xee9dcaf4, "drm_atomic_helper_check" },
	{ 0x44bbe9bd, "drm_atomic_helper_commit" },
	{ 0x93d1aec6, "drm_atomic_helper_connector_reset" },
	{ 0x27f019f0, "drm_helper_probe_single_connector_modes" },
	{ 0x2aae75f4, "drm_connector_cleanup" },
	{ 0x2dbf1df9, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7856d530, "drm_atomic_helper_connector_destroy_state" },
	{ 0x1c9e36f1, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x620e2e2e, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f03fb7f, "drm_mode_config_helper_resume" },
	{ 0x399fd7d8, "drm_mode_config_helper_suspend" },
	{ 0x9846b1c9, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0xb2af897e, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe366f750, "drm_dev_unplug" },
	{ 0x5d3ae7a0, "drm_dev_put" },
	{ 0xfc47275d, "drm_gem_fb_create" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
