#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x863ae54e, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x6b571ce8, "drm_crtc_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2f8b8193, "drm_encoder_cleanup" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd28273e2, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeaf7a5ac, "drm_connector_attach_encoder" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc8dac624, "drm_atomic_helper_damage_iter_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x44bbe9bd, "drm_atomic_helper_commit" },
	{ 0xa2bc84e8, "put_device" },
	{ 0xee9dcaf4, "drm_atomic_helper_check" },
	{ 0x7856d530, "drm_atomic_helper_connector_destroy_state" },
	{ 0x5cf4da74, "drm_gem_mmap" },
	{ 0xab58e697, "usb_submit_urb" },
	{ 0x8ab4f8db, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x74330604, "drm_ioctl" },
	{ 0xab16382c, "drm_plane_cleanup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe366f750, "drm_dev_unplug" },
	{ 0x25d06043, "drm_connector_init" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x18834b68, "usb_free_coherent" },
	{ 0x399fd7d8, "drm_mode_config_helper_suspend" },
	{ 0x9ed91766, "usb_intf_get_dma_device" },
	{ 0xf7011bcf, "drm_add_edid_modes" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0x7fb10aba, "drm_read" },
	{ 0x2e8740f8, "drm_gem_fb_create_with_dirty" },
	{ 0xbe39f327, "drm_gem_begin_shadow_fb_access" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x16153f55, "usb_control_msg" },
	{ 0x928b8f8b, "drm_atomic_helper_check_plane_state" },
	{ 0x414898c3, "drm_crtc_init_with_planes" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6807c40e, "usb_deregister" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd38e90c9, "__devm_drm_dev_alloc" },
	{ 0xa11c3fd1, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x75ad66c3, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xabcab7b3, "drm_atomic_helper_set_config" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x856ba30c, "drm_fbdev_generic_setup" },
	{ 0x85ab5d88, "usb_get_descriptor" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2dbf1df9, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xaf4ecc12, "drm_do_get_edid" },
	{ 0x2aae75f4, "drm_connector_cleanup" },
	{ 0xd7166fe7, "drm_universal_plane_init" },
	{ 0x66efad4, "drm_gem_destroy_shadow_plane_state" },
	{ 0x9c5972ad, "drm_atomic_helper_crtc_reset" },
	{ 0xf8f2134d, "drm_encoder_init" },
	{ 0x9814a6e9, "drm_gem_fb_begin_cpu_access" },
	{ 0x27f019f0, "drm_helper_probe_single_connector_modes" },
	{ 0xebc1bf81, "drm_gem_prime_import_dev" },
	{ 0x52eb3ab1, "drm_gem_reset_shadow_plane" },
	{ 0x1ea9083c, "drm_gem_end_shadow_fb_access" },
	{ 0x1ec3c265, "drm_crtc_helper_atomic_check" },
	{ 0x93f82dc, "drm_atomic_helper_page_flip" },
	{ 0x93d1aec6, "drm_atomic_helper_connector_reset" },
	{ 0x9979895e, "drm_mode_config_reset" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x2f03fb7f, "drm_mode_config_helper_resume" },
	{ 0x6f8ca0a3, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xaac920f3, "drm_atomic_helper_update_plane" },
	{ 0xd8f9af17, "drm_compat_ioctl" },
	{ 0x1ac22c7d, "drm_dev_register" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xbed3250d, "drm_release" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xf2d750f9, "drm_kms_helper_poll_fini" },
	{ 0x94ce7d0e, "drm_open" },
	{ 0x7c607834, "usb_alloc_urb" },
	{ 0x9edf0b57, "drm_poll" },
	{ 0x944a88b9, "drm_gem_fb_end_cpu_access" },
	{ 0x5b43a34d, "drm_dev_enter" },
	{ 0x90f5304, "usb_free_urb" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xdf26533a, "drm_kms_helper_poll_init" },
	{ 0xf7468d17, "drm_plane_enable_fb_damage_clips" },
	{ 0x31c66f66, "usb_alloc_coherent" },
	{ 0xee0988fd, "drm_gem_shmem_dumb_create" },
	{ 0xe2bf5690, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x549d5254, "usb_register_driver" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*icFFisc00ip00in*");

MODULE_INFO(srcversion, "04EDD6FE4415B32A0E35276");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
