#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2dae93c2, "mlx4_is_eq_shared" },
	{ 0x8ff3a03c, "ib_unregister_mad_agent" },
	{ 0x4fce896b, "ib_post_send_mad" },
	{ 0xe9e6206, "ib_create_send_mad" },
	{ 0x40d2df28, "ib_dispatch_event" },
	{ 0x82319f5c, "mlx4_is_slave_active" },
	{ 0xcf60c80b, "mlx4_get_slave_default_vlan" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0x79e746b, "__dma_sync_single_for_cpu" },
	{ 0x72468cfd, "mlx4_cq_free" },
	{ 0x5591b48e, "mlx4_CLOSE_PORT" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x13089552, "init_net" },
	{ 0x99ff7442, "ib_get_cached_pkey" },
	{ 0x6b958320, "ib_ud_ip4_csum" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa644c2e0, "mlx4_alloc_cmd_mailbox" },
	{ 0x5ca05bb, "mlx4_FLOW_STEERING_IB_UC_QP_RANGE" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf1ce08f, "mlx4_counter_free" },
	{ 0xfd258df9, "rdma_query_ah" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1c6526bf, "mlx4_gen_port_state_change_eqe" },
	{ 0x1f7279cc, "mlx4_map_sw_to_hw_steering_mode" },
	{ 0xa1fe7664, "ib_umem_get" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6f557744, "mlx4_uar_alloc" },
	{ 0xff24a186, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x46ebe304, "mlx4_gen_guid_change_eqe" },
	{ 0x6f3614b6, "rdma_is_zero_gid" },
	{ 0xd31a5d80, "mlx4_mr_rereg_mem_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x561f8b7f, "mlx4_mr_free" },
	{ 0xfd5c740e, "mlx4_xrcd_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8a7fbd19, "mlx4_buf_alloc" },
	{ 0xca283422, "kobject_init_and_add" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9c86440b, "sysfs_create_group" },
	{ 0xb114c3a5, "mlx4_qp_modify" },
	{ 0x4fd59242, "mlx4_config_roce_v2_port" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf5a1b8a1, "mlx4_get_eqs_per_port" },
	{ 0x2dbc9fc1, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9b12a858, "mlx4_vf_smi_enabled" },
	{ 0xa22e223a, "ib_destroy_qp_user" },
	{ 0xbdd34c15, "mlx4_assign_eq" },
	{ 0xacfedd5c, "mlx4_mr_hw_change_pd" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x12df80a3, "mlx4_mr_hw_get_mpt" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xe094c0be, "mlx4_mw_alloc" },
	{ 0xd89fe145, "mlx4_register_vlan" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5f041be8, "mlx4_set_admin_guid" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6ba1e21d, "mlx4_mtt_init" },
	{ 0x20f4411f, "mlx4_mw_enable" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f452fe0, "mlx4_get_counter_stats" },
	{ 0xf4b0999f, "mlx4_put_qp" },
	{ 0xece784c2, "rb_first" },
	{ 0x22593bf6, "mlx4_query_diag_counters" },
	{ 0xc40c7869, "rdma_destroy_ah_user" },
	{ 0xdf73a434, "mlx4_unregister_auxiliary_driver" },
	{ 0xb99157a4, "devlink_port_type_ib_set" },
	{ 0x79adb37e, "mlx4_qp_remove" },
	{ 0xa0e710ca, "ib_dealloc_device" },
	{ 0x533cc5a5, "mlx4_srq_arm" },
	{ 0x7550f0ab, "ib_free_send_mad" },
	{ 0x593bf05e, "ib_get_cached_port_state" },
	{ 0x94e363ca, "ib_destroy_cq_user" },
	{ 0x58d066b1, "mlx4_get_roce_gid_from_slave" },
	{ 0xa2db675c, "rdma_user_mmap_io" },
	{ 0x2b07b061, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xd6618779, "mlx4_qp_free" },
	{ 0x54c78abb, "ib_modify_qp" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcd25ea, "ib_get_rdma_header_version" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x9bcbe41d, "mlx4_cq_resize" },
	{ 0x745a981, "xa_erase" },
	{ 0x16b0f179, "sysfs_remove_group" },
	{ 0x7cedc32c, "__mmap_lock_do_trace_start_locking" },
	{ 0xc652e320, "mlx4_buf_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5c135297, "mlx4_cq_modify" },
	{ 0x7cba49c6, "mlx4_gen_pkey_eqe" },
	{ 0xbfe1a667, "mlx4_mw_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbae1faba, "mlx4_tunnel_steer_add" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb48d69df, "mlx4_db_alloc" },
	{ 0x9174ad29, "mlx4_mr_hw_put_mpt" },
	{ 0x55106066, "mlx4_vf_get_enable_smi_admin" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf4a6fadf, "__tracepoint_mmap_lock_start_locking" },
	{ 0xd0c82a3f, "netdev_master_upper_dev_get_rcu" },
	{ 0x2a03b8db, "mlx4_mr_rereg_mem_cleanup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94b59aee, "mlx4_phys_to_slave_port" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x97c19021, "__mmap_lock_do_trace_released" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x59099d88, "mlx4_vf_set_enable_smi_admin" },
	{ 0x7fdde0b4, "mlx4_handle_eth_header_mcast_prio" },
	{ 0xe90a9b61, "ib_create_qp_kernel" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x18c00113, "ib_register_mad_agent" },
	{ 0x50c7155, "mlx4_srq_lookup" },
	{ 0x48a65049, "ib_dealloc_pd_user" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xa871ce0, "mlx4_hw_rule_sz" },
	{ 0x616dbc80, "rdma_port_get_link_layer" },
	{ 0xa6aa535e, "mlx4_sync_pkey_table" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc64de7db, "mlx4_INIT_PORT" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x45c386f2, "mlx4_qp_alloc" },
	{ 0xf073b4bf, "mlx4_srq_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x201f872b, "mlx4_qp_reserve_range" },
	{ 0xcc3986ad, "mlx4_srq_alloc" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0552574, "mlx4_pd_free" },
	{ 0xf04647d7, "mlx4_counter_alloc" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb5497cb3, "mlx4_get_default_counter_index" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb3ff8ca5, "kobject_get" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd822a82, "mlx4_mr_enable" },
	{ 0x8d047b50, "ib_set_device_ops" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0xab3613e9, "mlx4_get_parav_qkey" },
	{ 0x58df5b94, "ib_get_gids_from_rdma_hdr" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2c58a0f5, "mlx4_update_qp" },
	{ 0x2b58d9a0, "mlx4_unregister_mac" },
	{ 0xf8aec059, "mlx4_buf_write_mtt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8247f4b1, "ib_umem_release" },
	{ 0x18bd1ef, "mlx4_get_admin_guid" },
	{ 0x9ed00d42, "mlx4_map_sw_to_hw_steering_id" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x673c3f01, "mlx4_mr_hw_change_access" },
	{ 0xbdf62f22, "mlx4_unregister_event_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xce47a015, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12640b5c, "mlx4_write_mtt" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbac52193, "mlx4_gen_slaves_port_mgt_ev" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd6133929, "mlx4_pd_alloc" },
	{ 0x34dff30c, "mlx4_multicast_detach" },
	{ 0xd4e5cb28, "rdma_read_gid_l2_fields" },
	{ 0x9dc0e780, "mlx4_unregister_vlan" },
	{ 0xa3968c10, "mlx4_register_mac" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd4cc6e1, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xb5a8f7e6, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0xee2f90ee, "mlx4_get_base_gid_ix" },
	{ 0xedc03953, "iounmap" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc932eb5a, "ib_sg_to_pages" },
	{ 0x29defd9a, "mlx4_register_event_notifier" },
	{ 0x37a0cba, "kfree" },
	{ 0xe129b635, "mlx4_put_slave_node_guid" },
	{ 0xb12366e9, "devlink_port_type_clear" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf09bbb49, "ib_process_cq_direct" },
	{ 0x516405da, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x895879bc, "mlx4_srq_query" },
	{ 0xd7884094, "mlx4_get_active_ports" },
	{ 0x134121a6, "mlx4_release_eq" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x97800f86, "_ib_alloc_device" },
	{ 0x691aeca2, "mlx4_qp_release_range" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x88441e8, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x80311d66, "mlx4_mr_hw_write_mpt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6baf8497, "mlx4_get_internal_clock_params" },
	{ 0x79479bbb, "mlx4_slave_convert_port" },
	{ 0xc0fca4a6, "mlx4_cq_alloc" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x2d8cfd48, "rdma_create_ah" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xceb4e3f6, "ib_unregister_device" },
	{ 0x18e2cac6, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0x2f0e513f, "mlx4_get_slave_from_roce_gid" },
	{ 0xeb9b3f75, "mlx4_free_cmd_mailbox" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x4ccb9fe8, "mlx4_mtt_cleanup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x82d3391d, "mlx4_uar_free" },
	{ 0xd9d3db05, "ib_register_device" },
	{ 0x82f74820, "mlx4_xrcd_free" },
	{ 0x13b9bcf9, "mlx4_qp_query" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x97ae2774, "mlx4_register_auxiliary_driver" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x75d51042, "__mlx4_cmd" },
	{ 0x6669be61, "sysfs_remove_file_ns" },
	{ 0xd5411dc8, "mlx4_db_free" },
	{ 0xfd2d96cf, "mlx4_get_slave_port_state" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x1e0dc31b, "mlx4_get_devlink_port" },
	{ 0x6a80aaa7, "mlx4_mr_alloc" },
	{ 0xae0c4dc6, "mlx4_multicast_attach" },
	{ 0xe6d746e5, "set_and_calc_slave_port_state" },
	{ 0x107041b, "ib_sa_guid_info_rec_query" },
	{ 0x49f70d7e, "find_vma" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx4_core,ib_uverbs");

MODULE_ALIAS("auxiliary:mlx4_core.ib");

MODULE_INFO(srcversion, "FA998340900E7E2342A8B64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
