#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(memstick_detect_change, "", "");
KSYMTAB_FUNC(memstick_next_req, "", "");
KSYMTAB_FUNC(memstick_new_req, "", "");
KSYMTAB_FUNC(memstick_init_req_sg, "", "");
KSYMTAB_FUNC(memstick_init_req, "", "");
KSYMTAB_FUNC(memstick_set_rw_addr, "", "");
KSYMTAB_FUNC(memstick_alloc_host, "", "");
KSYMTAB_FUNC(memstick_add_host, "", "");
KSYMTAB_FUNC(memstick_remove_host, "", "");
KSYMTAB_FUNC(memstick_free_host, "", "");
KSYMTAB_FUNC(memstick_suspend_host, "", "");
KSYMTAB_FUNC(memstick_resume_host, "", "");
KSYMTAB_FUNC(memstick_register_driver, "", "");
KSYMTAB_FUNC(memstick_unregister_driver, "", "");

SYMBOL_CRC(memstick_detect_change, 0xceedc684, "");
SYMBOL_CRC(memstick_next_req, 0xdcb08494, "");
SYMBOL_CRC(memstick_new_req, 0x65f44a9d, "");
SYMBOL_CRC(memstick_init_req_sg, 0x287277cb, "");
SYMBOL_CRC(memstick_init_req, 0x199305e6, "");
SYMBOL_CRC(memstick_set_rw_addr, 0xc0c61f6a, "");
SYMBOL_CRC(memstick_alloc_host, 0xe6d63b79, "");
SYMBOL_CRC(memstick_add_host, 0x3d9b5d65, "");
SYMBOL_CRC(memstick_remove_host, 0xcdca7396, "");
SYMBOL_CRC(memstick_free_host, 0x93a31ec5, "");
SYMBOL_CRC(memstick_suspend_host, 0x14942b83, "");
SYMBOL_CRC(memstick_resume_host, 0xf3294184, "");
SYMBOL_CRC(memstick_register_driver, 0x68b61234, "");
SYMBOL_CRC(memstick_unregister_driver, 0x186b8907, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6257a2f, "complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xee8aa7b7, "get_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x954f099c, "idr_preload" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xb5d3d708, "dev_set_name" },
	{ 0x95349d11, "device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2e0d72ce, "device_unregister" },
	{ 0x79eed48, "device_del" },
	{ 0xcfe63d7e, "driver_register" },
	{ 0xad07c629, "driver_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a9ae21, "bus_register" },
	{ 0xc76c882a, "class_register" },
	{ 0xa169b523, "bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x229f2a8c, "class_unregister" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6e86170d, "device_initialize" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdb3cb306, "__pm_runtime_idle" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbf192a91, "device_register" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x5ead5328, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B5B85EF027E2CDF365917D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
