#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe847a27c, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x87ac0dfd, "eth_type_trans" },
	{ 0x5f2bcd5d, "netif_receive_skb" },
	{ 0x2af0e4de, "netif_tx_wake_queue" },
	{ 0xa3d4f3ba, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x43adc190, "_dev_warn" },
	{ 0xf0b9332d, "napi_schedule_prep" },
	{ 0x78550748, "__napi_schedule" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa7a15189, "consume_skb" },
	{ 0x6b05b23c, "skb_tstamp_tx" },
	{ 0x2a5ed858, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24680cf7, "napi_enable" },
	{ 0xee7ce784, "phy_start" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5bf5f710, "alloc_etherdev_mqs" },
	{ 0x7ed02645, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4ed37b9, "__devm_request_region" },
	{ 0x6bde8fc0, "platform_get_irq" },
	{ 0xdec00d57, "devm_ioremap" },
	{ 0xded7b870, "dmam_alloc_attrs" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0x30b7faca, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ab15ab9, "__mdiobus_register" },
	{ 0x5dcac41e, "phy_connect_direct" },
	{ 0x41ef5c56, "phy_set_max_speed" },
	{ 0xed9e0751, "netif_napi_add_weight" },
	{ 0x461f0aff, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4bd23694, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x433b1592, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0x63b68cce, "dev_err_probe" },
	{ 0x1a4aaa29, "phy_ethtool_nway_reset" },
	{ 0x8ff7782c, "ethtool_op_get_link" },
	{ 0x59fe0a43, "ethtool_op_get_ts_info" },
	{ 0x83b8ac49, "phy_ethtool_get_link_ksettings" },
	{ 0x8da916dd, "phy_ethtool_set_link_ksettings" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a8efd31, "__platform_driver_register" },
	{ 0x3bfb3488, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4899ea97, "phy_disconnect" },
	{ 0x6672fc3, "mdiobus_unregister" },
	{ 0x9b47ce30, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbc9cf8b9, "unregister_netdev" },
	{ 0x93021db7, "free_netdev" },
	{ 0x16f636db, "mdiobus_get_phy" },
	{ 0xd2e157fb, "phy_mii_ioctl" },
	{ 0x44d9936b, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xdb70aee1, "dev_addr_mod" },
	{ 0x238a9be1, "phy_print_status" },
	{ 0x5643d325, "napi_disable" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
