#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xa6d9cb9c, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xc5fa17d8, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x12082eb4, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x6b7088c8, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x4703e6eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b669122, "pci_device_is_present" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x33560638, "pci_read_config_word" },
	{ 0x39ff1538, "pcie_flr" },
	{ 0x24680cf7, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd4680397, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x618dea47, "dcbnl_ieee_notify" },
	{ 0x2c24fa7, "xsk_uses_need_wakeup" },
	{ 0x461f0aff, "register_netdev" },
	{ 0xd07c3037, "dev_mc_del" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x93021db7, "free_netdev" },
	{ 0x1aca61cf, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb3bad01, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ff7782c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb8151bc, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf5702dcf, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x9ad64edc, "netif_tx_stop_all_queues" },
	{ 0x7a22670b, "pci_restore_state" },
	{ 0x7317576b, "bpf_trace_run1" },
	{ 0x2af0e4de, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x79eed48, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6c65b14, "dcb_getapp" },
	{ 0xf1d02f39, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0xd1f7840c, "flow_rule_match_ports" },
	{ 0xb60b6f54, "gnss_allocate_device" },
	{ 0xca13799a, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2b17ec2b, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x7deadcd1, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0x4a7bb0c6, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x70c12406, "flow_rule_match_ipv6_addrs" },
	{ 0xa40bf38a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x996a6883, "devl_params_unregister" },
	{ 0x5282d6e2, "ptp_clock_unregister" },
	{ 0x6c211cc6, "__pskb_pull_tail" },
	{ 0x89887eea, "xp_dma_unmap" },
	{ 0x17e5ecb0, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x8b548ed7, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xba802e90, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe720f3da, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x8f509703, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0x5948fbae, "flow_rule_match_pppoe" },
	{ 0xeb6d2979, "pv_ops" },
	{ 0x3ac8509f, "flow_rule_match_enc_control" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0x646886df, "seq_read" },
	{ 0x5e4117cb, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1c833520, "_dev_notice" },
	{ 0x7a92db80, "gnss_deregister_device" },
	{ 0xcbaafa39, "debugfs_create_file" },
	{ 0x12f0c401, "rps_may_expire_flow" },
	{ 0xc31b8753, "metadata_dst_free" },
	{ 0xfa94340c, "xsk_set_tx_need_wakeup" },
	{ 0x751eae93, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb9cca4da, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0x2e75bc81, "kthread_destroy_worker" },
	{ 0x47f1900e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xaf9ee396, "flow_rule_match_enc_ports" },
	{ 0x53f53f35, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x99474b06, "dpll_netdev_pin_clear" },
	{ 0xfe0039ec, "netif_queue_set_napi" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x722b6007, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa8bf2e14, "devl_assert_locked" },
	{ 0xe2c96995, "pcie_print_link_status" },
	{ 0x709a2f39, "xp_set_rxq_info" },
	{ 0xd6d7db11, "flow_rule_match_vlan" },
	{ 0x4d752d3a, "devl_port_unregister" },
	{ 0x86fd0148, "xdp_rxq_info_unreg" },
	{ 0x2f4bdd97, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xbe6a9341, "napi_build_skb" },
	{ 0xd0c82a3f, "netdev_master_upper_dev_get_rcu" },
	{ 0x1fc75fff, "__xdp_rxq_info_reg" },
	{ 0xfd091cd4, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccf6edf6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xa8bbdcb2, "dpll_pin_register" },
	{ 0xd83bd8cb, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x28b66270, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x9fd18fa2, "__hw_addr_sync_dev" },
	{ 0xfc9af6c8, "devlink_port_register_with_ops" },
	{ 0xede6435e, "pci_disable_sriov" },
	{ 0xfcee2b8b, "pldmfw_flash_image" },
	{ 0xd27f2282, "kthread_queue_delayed_work" },
	{ 0x10b3f37f, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3d3725c2, "dst_release" },
	{ 0xde2cc696, "netif_carrier_on" },
	{ 0x7cd40725, "netdev_set_num_tc" },
	{ 0x43dfa4df, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xeff3bcdf, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd8de2991, "dev_uc_add_excl" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x1ea44bb2, "xp_free" },
	{ 0xf6d58e35, "dev_mc_add_excl" },
	{ 0x1d34c28d, "gnss_put_device" },
	{ 0x7a03c96, "single_release" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0xc5055286, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd64f7517, "netif_set_tso_max_size" },
	{ 0xaaf6b0b8, "__skb_flow_dissect" },
	{ 0xcad1a062, "vlan_dev_vlan_id" },
	{ 0xac8c25e6, "pci_msix_alloc_irq_at" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x57bdb54b, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xf5f715f9, "pcim_iomap_table" },
	{ 0xb357aefe, "xdp_master_redirect" },
	{ 0x7168966f, "__devm_add_action" },
	{ 0xb64e7603, "dpll_pin_on_pin_register" },
	{ 0xf0b9332d, "napi_schedule_prep" },
	{ 0x80cec52e, "napi_consume_skb" },
	{ 0x2a1c0d44, "pci_read_config_byte" },
	{ 0x604efcc0, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x5643d325, "napi_disable" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0x2f23a471, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf6478e37, "single_open" },
	{ 0x8a6691e5, "pcim_enable_device" },
	{ 0x49c2162c, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf87959c5, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x73774806, "flow_rule_match_control" },
	{ 0x69a885ac, "flow_rule_match_ip" },
	{ 0x731237ae, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x34c44b89, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd8c7a679, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x59fe0a43, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x7e5af486, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa5b11e0, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x933086c0, "__tracepoint_xdp_exception" },
	{ 0xbcd22c89, "xsk_tx_completed" },
	{ 0xc4a3a00e, "napi_alloc_skb" },
	{ 0x5bf5f710, "alloc_etherdev_mqs" },
	{ 0xf893c1a7, "netdev_lower_get_next" },
	{ 0xee807192, "flow_block_cb_lookup" },
	{ 0x26d8d532, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x68c3565, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x5a5c633b, "device_set_wakeup_enable" },
	{ 0x2a5ed858, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5cd5ea5f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfa6f2076, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xccd30ab0, "pci_find_ext_capability" },
	{ 0x17116375, "kthread_create_worker" },
	{ 0x58428799, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf42c601, "devl_region_create" },
	{ 0x531a81a5, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3868b20d, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd17144ad, "devm_request_threaded_irq" },
	{ 0xf79e8023, "kthread_cancel_delayed_work_sync" },
	{ 0x59b4e89f, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0xca7123b1, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6b05b23c, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba521b44, "call_switchdev_notifiers" },
	{ 0xa85bf638, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa0a9f6f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x11cd5ce1, "auxiliary_device_init" },
	{ 0xc02f37c3, "pci_enable_device_mem" },
	{ 0xa7a15189, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x4b533aa2, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc2fdd9, "pci_alloc_irq_vectors" },
	{ 0xe11a252e, "flow_rule_match_l2tpv3" },
	{ 0xed9e0751, "netif_napi_add_weight" },
	{ 0x71392eca, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72b8a540, "xsk_tx_peek_release_desc_batch" },
	{ 0x6fcde7c3, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xded7b870, "dmam_alloc_attrs" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x88b26bfc, "devl_lock" },
	{ 0x2f8dd9a7, "pci_dev_put" },
	{ 0x343df16b, "xp_fill_cb" },
	{ 0x393b984a, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdbf5768a, "ndo_dflt_bridge_getlink" },
	{ 0xbc9cf8b9, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf12a6e78, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x8977c012, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb9486e9a, "xdp_features_set_redirect_target" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa9377da0, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x77b183f3, "request_firmware" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x23469565, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x7def8391, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x27aecedc, "gnss_insert_raw" },
	{ 0x6a4967e5, "pci_num_vf" },
	{ 0x4012f70, "flow_rule_match_eth_addrs" },
	{ 0xae730404, "get_device_system_crosststamp" },
	{ 0x6b728ecd, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd1c38a14, "ptp_clock_index" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc2866981, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x30fc7d24, "devlink_alloc_ns" },
	{ 0x21a8a5b8, "devl_rate_leaf_destroy" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x52ef807b, "xdp_do_redirect" },
	{ 0xf9da51d7, "devlink_free" },
	{ 0x294fe210, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc97d45db, "devl_rate_node_create" },
	{ 0x66fd01f1, "netdev_warn" },
	{ 0xeda4bcac, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdc49973b, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0c9eb35, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3124cedb, "pci_irq_vector" },
	{ 0x5b88660b, "flow_rule_match_ipv4_addrs" },
	{ 0x3bfb3488, "__netif_napi_del" },
	{ 0xddd7041e, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbc2a56a4, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xe64ea722, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4742c7d1, "pskb_expand_head" },
	{ 0xd0cfb674, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xba181128, "devlink_flash_update_status_notify" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0xcbffc820, "pci_restore_msi_state" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0x8fb68906, "xdp_return_buff" },
	{ 0xdb70aee1, "dev_addr_mod" },
	{ 0x59e2490e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x82b5909d, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x87ac0dfd, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ecf1154, "auxiliary_driver_unregister" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0xa3d4f3ba, "napi_complete_done" },
	{ 0x5349bca9, "switchdev_handle_port_obj_del" },
	{ 0x86b6b159, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2c576f70, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc937a1a5, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x9ec9a0c1, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x2a0cfbcc, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x78550748, "__napi_schedule" },
	{ 0x3d03f6b3, "ipv6_skip_exthdr" },
	{ 0x6021e0e9, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xbc9511d, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1057258a, "__free_pages" },
	{ 0x7901510f, "__hw_addr_unsync_dev" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x98252189, "napi_gro_receive" },
	{ 0x42471ed0, "xdp_features_clear_redirect_target" },
	{ 0x939a7398, "netdev_pick_tx" },
	{ 0xd2c512de, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4e56d744, "xp_raw_get_dma" },
	{ 0x96c47f4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x17e9c06f, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7c4e3cf9, "xdp_rxq_info_is_reg" },
	{ 0xf5ea28da, "flow_rule_match_enc_opts" },
	{ 0x76a12718, "flow_block_cb_setup_simple" },
	{ 0xa6328f33, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc88ead5b, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe178b896, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xca29c6ac, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc507c1b1, "vlan_dev_real_dev" },
	{ 0xc2e924ba, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x79e746b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x379ea342, "devm_kmemdup" },
	{ 0x89d2921f, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc50656d8, "devlink_port_unregister" },
	{ 0xc6491f4c, "devlink_flash_update_timeout_notify" },
	{ 0x18a6704b, "devm_kfree" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x13089552, "init_net" },
	{ 0xc67db378, "softnet_data" },
	{ 0x4c3d5c48, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2bc8f7f8, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x451faa64, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x5df8cd59, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb5911373, "netif_set_real_num_tx_queues" },
	{ 0x2272bbf9, "__auxiliary_device_add" },
	{ 0x29f9b743, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd771ce4, "netif_set_real_num_rx_queues" },
	{ 0xf6dca36f, "flow_indr_block_cb_alloc" },
	{ 0x5bc5d0f, "devl_port_register_with_ops" },
	{ 0xcc6e6f86, "pci_wait_for_pending_transaction" },
	{ 0x5d4d5d2e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie,dimlib");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "92B5FC446B1CB03DCFE0838");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
