#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xcf62182a, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x51c3d208, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xc17b98ad, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x5e1b95ca, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x84dbb102, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x9ffff495, "");
SYMBOL_CRC(mlx5_cmd_check, 0xc3cef875, "");
SYMBOL_CRC(mlx5_cmd_do, 0xb6e06d61, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x7fbc6ec7, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x473d4b5b, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x061b8892, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x69f69470, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x896fe49e, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x7ca2d81f, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x4e376b69, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x2ec291bc, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xa134cdbe, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x7d96159d, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xad5b5acd, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xa8d94f05, "");
SYMBOL_CRC(mlx5_eq_enable, 0x2271a3da, "");
SYMBOL_CRC(mlx5_eq_disable, 0x51f1d514, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x239c4189, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x62ea8dd6, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xab4bca9a, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x658719a6, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xc4ddbb89, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x374b1c61, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xd66143bf, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x373baddd, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x76114918, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x5df80109, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x850db376, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x5d6e2599, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x9870c4c9, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xe77ea7f0, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x32ca1e8b, "");
SYMBOL_CRC(mlx5_create_cq, 0xd7a6712e, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x4f88522c, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xca41d4a3, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x1afaa2a2, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x2f8f095a, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x6b2aa67e, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x45c63b84, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x748a0367, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xa3e3cd2b, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xbcf8b491, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x00b1931a, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x65e7ef9e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xaf745286, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xa7f5f499, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xc87f5eb8, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x66fa3d75, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xd509d797, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x749f09ce, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xcf3c39dd, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xa5753378, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x30339b53, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x34a3beeb, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x0a53caf2, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xbf50ddc5, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x2f662a68, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x78edc239, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x85ab432c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xea6c7250, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x631c655b, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x940c5c87, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x9b1f4303, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x1e316701, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xae5e3986, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xffc0eb0d, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x1a96fcff, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xac69094d, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x5420ab14, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xcce06844, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x732e32d5, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xd5088098, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x13d02152, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x3102400e, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x20ab871c, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xaf5dfa4b, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x3c5f6a9f, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xa1bf7542, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x69a8a0ac, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xbefc44ad, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xf1174dc6, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x2eeaebaf, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xf1e4f604, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xadc7796d, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x8899d4f9, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x0bb4463b, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x9bcd9651, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x7762e7f8, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x8624a484, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xf5cc6006, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xb960e152, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x2e17af3b, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xa35bd347, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x97c6333b, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xd471f34c, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xfe189160, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x9bae11d6, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xe3b775dd, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x2f52aa84, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x5eab2f3e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xb01274c2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xab306a61, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xa5bb5424, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x5258eb52, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xab1893ed, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x29d7a7e9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x02d021ad, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xf6220692, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x420f77ca, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xf682b5e5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x802d22e8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x191fb8c0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xbf9bcf63, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x63034ba4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x1240aed9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xa7d1bf7e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x66b696d4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x9e52090b, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x2fcf773f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x7249ed84, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xd957f4ec, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xaaa0a671, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x3f8ab271, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xeb51e1a5, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x2a0d79a0, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x6eb69844, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x7a1ffd4b, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x0c8e904a, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x75906ed9, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x7a5f26dd, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x6812777b, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x7fd68424, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x5933cd47, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x6d2e44f0, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x22a3abb6, "");
SYMBOL_CRC(mlx5_fc_create, 0xdfd30bb3, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xfaf3adf8, "");
SYMBOL_CRC(mlx5_fc_query, 0xa2455e00, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x449d241d, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x3d2851ae, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xb023d6ef, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x911a3d48, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xa0d70612, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xe9226193, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x44c341c1, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x7e833740, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x3a83f1c5, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x2facf949, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xe00b0ab6, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xa655f0b0, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x99fd808f, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xe8d20ffe, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xc8d832b2, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x69ba1af2, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xe1af07e8, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xd90083d2, "");
SYMBOL_CRC(mlx5_notifier_register, 0x34aadf55, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x27ddb458, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xf3e85c1e, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x40e1374e, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x4c325bd1, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x2dc56a91, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x1f58b36a, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x2e6d22e2, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x36c52659, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xf4759a8b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x9fd1919a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x5d612d48, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x572a67cb, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x959adb19, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xfe3ed008, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x3c8e6cda, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xeddc670a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x91525e05, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x85c3644e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x7427dfce, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x5b6c5581, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x1c38dc8a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x8f15da73, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xfecc40f9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x3ac7d1c5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4b1e4b4f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x5179ee76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xa3bed7e5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xf2f3e41a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xbc0e04e2, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xd82f6784, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x305efff0, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x67cddca9, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xee01aee1, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xf4188abd, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xb4a651d4, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x96fc518d, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x9aa92d43, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xeaeac01b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x86d15b65, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x5c06cc11, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x8cb269d4, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x598a917e, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x233325c2, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xd0128423, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xdce7d8cc, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xe526c90a, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x49626d20, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xac44a36a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x3effce3e, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x8c47ca53, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x1daca429, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x153384ae, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x29d06ef7, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x19c16163, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x190a734f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ff7782c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb8151bc, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb189f645, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf5702dcf, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7a22670b, "pci_restore_state" },
	{ 0x7317576b, "bpf_trace_run1" },
	{ 0xf984534b, "__inet6_lookup_established" },
	{ 0x2af0e4de, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x79eed48, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x667b806a, "page_pool_create" },
	{ 0xb5d5d501, "skb_checksum" },
	{ 0x9a0dfaca, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0xd1f7840c, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x6cdae9ac, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe2dc0172, "devl_resources_unregister" },
	{ 0x2b17ec2b, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x7deadcd1, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0x6c07b885, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe665df73, "debugfs_create_u32" },
	{ 0xb90a1fd8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x70c12406, "flow_rule_match_ipv6_addrs" },
	{ 0xa40bf38a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x996a6883, "devl_params_unregister" },
	{ 0x5282d6e2, "ptp_clock_unregister" },
	{ 0x6c211cc6, "__pskb_pull_tail" },
	{ 0x89887eea, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x41cdd317, "devlink_trap_report" },
	{ 0xa2c77625, "__neigh_event_send" },
	{ 0xe35523d4, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x4c39a639, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3404670, "devl_traps_register" },
	{ 0xba802e90, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xe720f3da, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0x718c4837, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xeb6d2979, "pv_ops" },
	{ 0x3ac8509f, "flow_rule_match_enc_control" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0x646886df, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc00b8c28, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xcbaafa39, "debugfs_create_file" },
	{ 0x12f0c401, "rps_may_expire_flow" },
	{ 0xc31b8753, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xfa94340c, "xsk_set_tx_need_wakeup" },
	{ 0x751eae93, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb9cca4da, "netdev_reset_tc" },
	{ 0xb0b29712, "neigh_destroy" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xb2b273f6, "debugfs_create_x32" },
	{ 0x47f1900e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xaf9ee396, "flow_rule_match_enc_ports" },
	{ 0x53f53f35, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2af897e, "pci_release_regions" },
	{ 0xfe0039ec, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xfc0dbba9, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa8bf2e14, "devl_assert_locked" },
	{ 0xe2c96995, "pcie_print_link_status" },
	{ 0x709a2f39, "xp_set_rxq_info" },
	{ 0xd6d7db11, "flow_rule_match_vlan" },
	{ 0x4d752d3a, "devl_port_unregister" },
	{ 0x86fd0148, "xdp_rxq_info_unreg" },
	{ 0xdf06c2c5, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe0e146fe, "devl_param_driverinit_value_get" },
	{ 0xbe6a9341, "napi_build_skb" },
	{ 0xd0c82a3f, "netdev_master_upper_dev_get_rcu" },
	{ 0x83a5219a, "__folio_put" },
	{ 0x1fc75fff, "__xdp_rxq_info_reg" },
	{ 0xc62e0209, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfd091cd4, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x92b32e7d, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x74d9ec5a, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccf6edf6, "netif_carrier_off" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0xaf3ece78, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x28b66270, "devlink_priv" },
	{ 0xfc9af6c8, "devlink_port_register_with_ops" },
	{ 0xede6435e, "pci_disable_sriov" },
	{ 0x10b3f37f, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3d3725c2, "dst_release" },
	{ 0xde2cc696, "netif_carrier_on" },
	{ 0x7cd40725, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xeff3bcdf, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd5596e2d, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf9f4f8ac, "alloc_pages_noprof" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x1ea44bb2, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x5b9482b6, "page_pool_update_nid" },
	{ 0x7a03c96, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0xc5055286, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd64f7517, "netif_set_tso_max_size" },
	{ 0xcad1a062, "vlan_dev_vlan_id" },
	{ 0xaaf6b0b8, "__skb_flow_dissect" },
	{ 0xac8c25e6, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x88acf588, "seq_open" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x57bdb54b, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb357aefe, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x610be44c, "xp_raw_get_data" },
	{ 0xa4f37320, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xf0b9332d, "napi_schedule_prep" },
	{ 0xfdfa2fc3, "qdisc_reset" },
	{ 0x80cec52e, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x604efcc0, "xp_alloc_batch" },
	{ 0x34189650, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x5643d325, "napi_disable" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0x2f23a471, "dcb_ieee_delapp" },
	{ 0x46d1f3f9, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4fc42b6d, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87023901, "debugfs_create_u8" },
	{ 0xf6478e37, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x49c2162c, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x5a868a0e, "skb_ext_add" },
	{ 0xc63c7830, "pcie_bandwidth_available" },
	{ 0xf87959c5, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x73774806, "flow_rule_match_control" },
	{ 0x69a885ac, "flow_rule_match_ip" },
	{ 0x731237ae, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd8c7a679, "dcb_ieee_setapp" },
	{ 0x2771c57c, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc889124c, "xsk_tx_release" },
	{ 0xf13ca796, "devl_traps_unregister" },
	{ 0xc3576ec2, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb21e362c, "pci_write_config_dword" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x7e5af486, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x1f4ff4, "neigh_lookup" },
	{ 0x22adce2a, "kmem_cache_destroy" },
	{ 0x5c735a6f, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x933086c0, "__tracepoint_xdp_exception" },
	{ 0xe9fc3857, "__inet_lookup_established" },
	{ 0xbcd22c89, "xsk_tx_completed" },
	{ 0xc4a3a00e, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5bf5f710, "alloc_etherdev_mqs" },
	{ 0xf893c1a7, "netdev_lower_get_next" },
	{ 0xb676ddb9, "secpath_set" },
	{ 0xee807192, "flow_block_cb_lookup" },
	{ 0x26d8d532, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x68c3565, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4ace4664, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6f68f67a, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5cd5ea5f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfa6f2076, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x58428799, "bpf_prog_put" },
	{ 0xf68dd995, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x92e615eb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x413dc96, "pci_cfg_access_unlock" },
	{ 0x531a81a5, "xp_dma_map" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x94b80b41, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x3868b20d, "skb_copy_bits" },
	{ 0x3ec5183b, "debugfs_attr_write" },
	{ 0x5557482b, "dma_pool_create" },
	{ 0x5ead5328, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6aa94d4, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfbc4d2a0, "pci_enable_device" },
	{ 0xcfbd2001, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6b05b23c, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xba521b44, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xa85bf638, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x55241ae1, "register_fib_notifier" },
	{ 0x11cd5ce1, "auxiliary_device_init" },
	{ 0x8ff31d1e, "ip6_dst_hoplimit" },
	{ 0xd0afa904, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x4b533aa2, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xc2fdd9, "pci_alloc_irq_vectors" },
	{ 0xed9e0751, "netif_napi_add_weight" },
	{ 0xcb092fb6, "pci_enable_atomic_ops_to_root" },
	{ 0xaf168a49, "seq_release" },
	{ 0xd1cc4f0e, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x4eddd772, "xsk_clear_tx_need_wakeup" },
	{ 0x4bf3384d, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x88b26bfc, "devl_lock" },
	{ 0x393b984a, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdbf5768a, "ndo_dflt_bridge_getlink" },
	{ 0xbc9cf8b9, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xf3b036a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd749e876, "flow_rule_match_tcp" },
	{ 0x86c1c218, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x63e57695, "register_netdevice_notifier_dev_net" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0xbb0cddf2, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7def8391, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x53446818, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x6a4967e5, "pci_num_vf" },
	{ 0xbaa332f9, "debugfs_create_atomic_t" },
	{ 0x4012f70, "flow_rule_match_eth_addrs" },
	{ 0x59123853, "xfrm_state_check_expire" },
	{ 0x6b728ecd, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd1c38a14, "ptp_clock_index" },
	{ 0x823a7d57, "pci_request_regions" },
	{ 0xfb05b514, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x201161d, "flow_block_cb_free" },
	{ 0x3d1d1d73, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc2866981, "xp_can_alloc" },
	{ 0x2e3ade8c, "psample_sample_packet" },
	{ 0x51a08dd0, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x30fc7d24, "devlink_alloc_ns" },
	{ 0x21a8a5b8, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xadf47147, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1e7bdfca, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x12cd6e75, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x8ff85592, "seq_lseek" },
	{ 0xf67f83a6, "page_pool_destroy" },
	{ 0x52ef807b, "xdp_do_redirect" },
	{ 0xf9da51d7, "devlink_free" },
	{ 0x110d541, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x66fd01f1, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xeda4bcac, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0c9eb35, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3124cedb, "pci_irq_vector" },
	{ 0x5b88660b, "flow_rule_match_ipv4_addrs" },
	{ 0x92f659a, "ip_route_output_flow" },
	{ 0x3bfb3488, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xbdc0b71e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc066c7eb, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xe64ea722, "netdev_err" },
	{ 0x3ce33be0, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4905b2e9, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x475a51ec, "netdev_port_same_parent_id" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0xdb70aee1, "dev_addr_mod" },
	{ 0x59e2490e, "xdp_rxq_info_reg_mem_model" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8c936a3d, "ptp_find_pin" },
	{ 0x87ac0dfd, "eth_type_trans" },
	{ 0x951a1e6c, "pci_read_config_dword" },
	{ 0x2d374373, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xdb602729, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ecf1154, "auxiliary_driver_unregister" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xa3d4f3ba, "napi_complete_done" },
	{ 0x86b6b159, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf2fc691, "devlink_port_attrs_pci_vf_set" },
	{ 0x2c576f70, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x73b05f55, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x78550748, "__napi_schedule" },
	{ 0xb2a8946d, "devlink_port_health_reporter_create" },
	{ 0xf17c0a69, "pcie_relaxed_ordering_enabled" },
	{ 0x6021e0e9, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x46ba9f77, "devlink_port_attrs_pci_pf_set" },
	{ 0xbc9511d, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xebf005fb, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1057258a, "__free_pages" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x47a92da1, "skb_vlan_pop" },
	{ 0x98252189, "napi_gro_receive" },
	{ 0x78834256, "netif_device_attach" },
	{ 0x53fe9257, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x939a7398, "netdev_pick_tx" },
	{ 0xd2c512de, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4e56d744, "xp_raw_get_dma" },
	{ 0x96c47f4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7c4e3cf9, "xdp_rxq_info_is_reg" },
	{ 0xf5ea28da, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xabc1d546, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xc81bdbb, "free_fib_info" },
	{ 0xabcae281, "kmalloc_node_trace_noprof" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x9ad2ddc3, "devl_health_reporter_create" },
	{ 0x76a12718, "flow_block_cb_setup_simple" },
	{ 0xa6328f33, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc88ead5b, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x69f62b14, "unregister_netdevice_notifier_dev_net" },
	{ 0xfb92e535, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x61354592, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc2d93c12, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x4c7de7e2, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc507c1b1, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x79e746b, "__dma_sync_single_for_cpu" },
	{ 0x89d2921f, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3c6ae524, "__dev_get_by_index" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc50656d8, "devlink_port_unregister" },
	{ 0x52ff9d50, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x13089552, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xc67db378, "softnet_data" },
	{ 0x3123433b, "ipv6_stub" },
	{ 0x4c3d5c48, "simple_open" },
	{ 0xe6c87eca, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2bc8f7f8, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x493a2722, "simple_attr_release" },
	{ 0x451faa64, "ptp_clock_register" },
	{ 0xad3f4e92, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x41fe9367, "xsk_tx_peek_desc" },
	{ 0x5df8cd59, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xb5911373, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2272bbf9, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6bdffb56, "irq_get_irq_data" },
	{ 0xe8fee1aa, "dev_remove_pack" },
	{ 0xd771ce4, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4bf88267, "dev_get_by_index" },
	{ 0xc5d9ce0e, "bpf_trace_run5" },
	{ 0xf6dca36f, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x1766a052, "skb_store_bits" },
	{ 0x5bc5d0f, "devl_port_register_with_ops" },
	{ 0x277c0d91, "dev_get_by_index_rcu" },
	{ 0xb8fef7ff, "kfree_skb_reason" },
	{ 0x4582fee, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6eacc638, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a546699, "skb_push" },
	{ 0x754f663, "kmem_cache_free" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x33560638, "pci_read_config_word" },
	{ 0x24680cf7, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd4680397, "xsk_clear_rx_need_wakeup" },
	{ 0x76a8d27, "unregister_netdevice_notifier_net" },
	{ 0x2c24fa7, "xsk_uses_need_wakeup" },
	{ 0x461f0aff, "register_netdev" },
	{ 0x6aaa2364, "unregister_fib_notifier" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x6a9aacbf, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xc15e012e, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x93021db7, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x96069fde, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb3bad01, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2985e4e0, "__put_devmap_managed_folio_refs" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,dimlib,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "8A0E363690EDE4CD4872501");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
