#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7e5af486, "netdev_info" },
	{ 0xfbc4d2a0, "pci_enable_device" },
	{ 0x823a7d57, "pci_request_regions" },
	{ 0x5bf5f710, "alloc_etherdev_mqs" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdb70aee1, "dev_addr_mod" },
	{ 0xed9e0751, "netif_napi_add_weight" },
	{ 0x461f0aff, "register_netdev" },
	{ 0xdc49973b, "pci_set_power_state" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x1c833520, "_dev_notice" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5643d325, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x87ac0dfd, "eth_type_trans" },
	{ 0x5f2bcd5d, "netif_receive_skb" },
	{ 0x79e746b, "__dma_sync_single_for_cpu" },
	{ 0xa3d4f3ba, "napi_complete_done" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x24680cf7, "napi_enable" },
	{ 0xca3c3380, "pci_enable_wake" },
	{ 0x7a22670b, "pci_restore_state" },
	{ 0x78834256, "netif_device_attach" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xebf005fb, "netif_device_detach" },
	{ 0x26d8d532, "pci_save_state" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc1d0caaa, "eth_mac_addr" },
	{ 0x294fe210, "eth_validate_addr" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0xafce403b, "param_array_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbc30da3f, "netdev_notice" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0xa7a15189, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0x2a8efd31, "__platform_driver_register" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0x44d9936b, "platform_driver_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6c211cc6, "__pskb_pull_tail" },
	{ 0x2a5ed858, "__skb_pad" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbc9cf8b9, "unregister_netdev" },
	{ 0x3bfb3488, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xedc03953, "iounmap" },
	{ 0x93021db7, "free_netdev" },
	{ 0xb2af897e, "pci_release_regions" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0xdb1ac729, "dev_kfree_skb_irq_reason" },
	{ 0x2af0e4de, "netif_tx_wake_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13089552, "init_net" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf0b9332d, "napi_schedule_prep" },
	{ 0x78550748, "__napi_schedule" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xde2cc696, "netif_carrier_on" },
	{ 0xccf6edf6, "netif_carrier_off" },
	{ 0xe64ea722, "netdev_err" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cvia,velocity-vt6110");
MODULE_ALIAS("of:N*T*Cvia,velocity-vt6110C*");
MODULE_ALIAS("pci:v00001106d00003119sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EBB3EBB0C66C87B09255E19");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
