#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x4492da20, "");
SYMBOL_CRC(ath10k_info, 0x960af546, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xa6a1d0dd, "");
SYMBOL_CRC(ath10k_err, 0x2092971e, "");
SYMBOL_CRC(ath10k_warn, 0x30ea5ebd, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xa9acd288, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xf945aaa3, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x0c1c8152, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x939358a4, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x90483e2d, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x75d74cb1, "");
SYMBOL_CRC(ath10k_core_start, 0x98145be7, "");
SYMBOL_CRC(ath10k_core_stop, 0x7354b6dd, "");
SYMBOL_CRC(ath10k_core_register, 0x05557965, "");
SYMBOL_CRC(ath10k_core_unregister, 0x347b2e8d, "");
SYMBOL_CRC(ath10k_core_create, 0xf035bd3d, "");
SYMBOL_CRC(ath10k_core_destroy, 0x23c01c53, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xeb99193c, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x27b8d9c6, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xb6534073, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x0315f1a1, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xfb5ef0ef, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x10258e2d, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x0cad5968, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x9480e34d, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xea5bc87d, "");
SYMBOL_CRC(ath10k_bmi_start, 0xd7b5bcc2, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xe4b723b3, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x6fa671b3, "");
SYMBOL_CRC(ath10k_coredump_new, 0xa8129e03, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xfa78733f, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x159e8711, "");
SYMBOL_CRC(ath10k_ce_send, 0x260c90a9, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xa7223b0e, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x08c40eb9, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xc11e05dc, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xc841045d, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xa0b5beee, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x1a5b5267, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x525c8d2a, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xd2b95bc5, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xff929501, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xaa6f376e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xa8311e43, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xd0c968de, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x6e5e73fe, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x2b0d6c31, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x3a6e6869, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x1e2bdc77, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xd13eb8f2, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xeb269100, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x7cc3faf8, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x8e427394, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xcdb5640f, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xf7ca3651, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x1f373088, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x96bab20a, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x7fb3ec99, "skb_queue_head" },
	{ 0x1ec6bd1a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5a5c633b, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0x60e18117, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0x4b4859c3, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x72d9d0c9, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x5ead5328, "param_ops_uint" },
	{ 0x252dd9d, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa0a9f6f, "firmware_request_nowarn" },
	{ 0xa7a15189, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe6eca256, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa63f3c0d, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x19fa3b5c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2ce34eea, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x35cc4ccd, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x825a704f, "ieee80211_iterate_stations_atomic" },
	{ 0x93a8255, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xd427aec0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xfebb94c7, "thermal_cooling_device_register" },
	{ 0x43f0b62a, "ieee80211_register_hw" },
	{ 0xc109e99d, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x7aeeb383, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4742c7d1, "pskb_expand_head" },
	{ 0xf4034d53, "skb_queue_purge_reason" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf3005feb, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xb5c2faa5, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x20e0b5bc, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x55eaefb2, "skb_queue_tail" },
	{ 0xbc92b1e8, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xed3d8d72, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7eb2c3b5, "wiphy_to_ieee80211_hw" },
	{ 0xa76da55c, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf24e72, "ieee80211_queue_delayed_work" },
	{ 0x37369366, "ieee80211_proberesp_get" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xe6c87eca, "skb_pull" },
	{ 0xb91661f4, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x119e6995, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc4fa7d8a, "ieee80211_find_sta_by_ifaddr" },
	{ 0xb77a46f0, "ieee80211_next_txq" },
	{ 0xb8fef7ff, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1ce8fd4, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a546699, "skb_push" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x24680cf7, "napi_enable" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xe44863aa, "ieee80211_wake_queues" },
	{ 0x93021db7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd2354d22, "ieee80211_report_low_ack" },
	{ 0x32aada40, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xde0e53d4, "ieee80211_free_txskb" },
	{ 0xad22299f, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfcf67ac9, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x30558ff0, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x838b443c, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xef89677d, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x52f49328, "devm_nvmem_cell_get" },
	{ 0x702c6db3, "ieee80211_stop_queue" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0xfe038d24, "ieee80211_ready_on_channel" },
	{ 0x17734dbb, "ieee80211_stop_queues" },
	{ 0xb174b32e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb53034a3, "skb_realloc_headroom" },
	{ 0xce24dd7c, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x962fd6a6, "alloc_netdev_dummy" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x8f2d8075, "ieee80211_scan_completed" },
	{ 0x599fa8c1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x986a9890, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca0a477, "ath_regd_init" },
	{ 0x9b05323, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x62140e31, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x99dd4c00, "ieee80211_tdls_oper_request" },
	{ 0xcb81f397, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x28aa79ce, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xafacf365, "ieee80211_tx_rate_update" },
	{ 0x524a5b73, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x5643d325, "napi_disable" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "2F02171A570E3CFF285E1D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
