#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ce8fd4, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x754f663, "kmem_cache_free" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xf0c54755, "iwl_write32" },
	{ 0x622330d, "ieee80211_beacon_set_cntdwn" },
	{ 0x9260a037, "ieee80211_sta_pspoll" },
	{ 0xe44863aa, "ieee80211_wake_queues" },
	{ 0x49e0135d, "iwl_new_rate_from_v1" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x57605b85, "iwl_fwrt_dump_error_logs" },
	{ 0x32aada40, "ieee80211_beacon_get_template" },
	{ 0xfeac2478, "ieee80211_rate_control_register" },
	{ 0x5d6caf89, "wiphy_work_queue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x4781eac, "iwl_parse_nvm_mcc_info" },
	{ 0x8cd8b439, "iwl_bios_get_wgds_table" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xce7694ee, "ieee80211_iter_keys_rcu" },
	{ 0x8e77efe0, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd004ea88, "ieee80211_key_mic_failure" },
	{ 0xde0e53d4, "ieee80211_free_txskb" },
	{ 0x49867f5, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7834f315, "ieee80211_channel_switch_disconnect" },
	{ 0xfcf67ac9, "ieee80211_alloc_hw_nm" },
	{ 0xb37b318c, "iwl_rs_pretty_bw" },
	{ 0x7afdc463, "iwl_free_fw_paging" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe0eb5838, "iwl_init_notification_wait" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x4e51048e, "iwl_sar_geo_support" },
	{ 0xb4827b9c, "cfg80211_bss_flush" },
	{ 0x30558ff0, "ieee80211_tx_dequeue" },
	{ 0x84e455c9, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x323fb218, "iwl_acpi_get_phy_filters" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd0edcf77, "iwl_uefi_get_step_table" },
	{ 0xa764bfb5, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0x28857acf, "iwl_reinit_cab" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x7ab9e324, "wiphy_delayed_work_cancel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x1ebae149, "__iwl_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb90a1fd8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5282d6e2, "ptp_clock_unregister" },
	{ 0x58185619, "iwl_get_shared_mem_conf" },
	{ 0xb691bec4, "iwl_bios_get_wrds_table" },
	{ 0x5923cad5, "iwl_read_prph" },
	{ 0xfe038d24, "ieee80211_ready_on_channel" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd9dbdf72, "ieee80211_send_eosp_nullfunc" },
	{ 0x17734dbb, "ieee80211_stop_queues" },
	{ 0x77be42a9, "iwl_trans_send_cmd" },
	{ 0x391eda45, "ieee80211_get_tkip_rx_p1k" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67691a6, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xa38dfd98, "iwl_uefi_get_uats_table" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xce24dd7c, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xbafc8994, "iwl_wait_notification" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf2985b57, "ieee80211_vif_to_wdev" },
	{ 0x9ec2c1e6, "ieee80211_mark_rx_ba_filtered_frames" },
	{ 0xd24108d4, "rfkill_soft_blocked" },
	{ 0x4106298d, "iwl_fw_dbg_stop_restart_recording" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c2c0381, "ieee80211_sched_scan_results" },
	{ 0x8f2d8075, "ieee80211_scan_completed" },
	{ 0x599fa8c1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0x7c3ac925, "ieee80211_get_vht_max_nss" },
	{ 0x16ad7c5f, "ieee80211_tkip_add_iv" },
	{ 0x37956b72, "rs_pretty_print_rate" },
	{ 0x986a9890, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb7d5ffb1, "iwl_rate_mcs" },
	{ 0x6ea7972, "ieee80211_resume_disconnect" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x874c77de, "iwl_fw_rate_idx_to_plcp" },
	{ 0x56470118, "__warn_printk" },
	{ 0x85a1985e, "ieee80211_set_active_links_async" },
	{ 0xab532f22, "iwl_opmode_register" },
	{ 0xb75ac18d, "iwl_sar_geo_fill_table" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x62140e31, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x117b94e2, "iwl_set_bits_mask_prph" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xce0c6460, "iwl_phy_db_set_section" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x99dd4c00, "ieee80211_tdls_oper_request" },
	{ 0x61f12191, "iwl_bios_get_ppag_table" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x7c26767e, "iwl_fw_dbg_read_d3_debug_data" },
	{ 0x9a78812a, "iwl_fw_dbg_stop_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaad304cd, "iwl_force_nmi" },
	{ 0x6dac670e, "iwl_is_ppag_approved" },
	{ 0xee25912d, "ieee80211_request_smps" },
	{ 0x28aa79ce, "thermal_cooling_device_unregister" },
	{ 0x2710c362, "iwl_dump_desc_assert" },
	{ 0x58bbdbd9, "cfg80211_get_iftype_ext_capa" },
	{ 0x17580ee2, "iwl_cmd_groups_verify_sorted" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x57bdb54b, "skb_add_rx_frag_netmem" },
	{ 0x1b593774, "iwl_fw_start_dbg_conf" },
	{ 0xfdc76a23, "iwl_fw_runtime_resume" },
	{ 0x3f754285, "iwl_bios_get_dsm" },
	{ 0x35a9a3a9, "ieee80211_set_active_links" },
	{ 0xbf38d7df, "ieee80211_sta_ps_transition" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xa6c70e91, "regulatory_set_wiphy_regd" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0xf88964e4, "iwl_remove_notification" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x5d506227, "ieee80211_sta_recalc_aggregates" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac5f08f7, "__skb_gso_segment" },
	{ 0xba5206d5, "iwl_parse_nvm_data" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1722570e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xeed9181f, "ieee80211_iterate_active_interfaces_mtx" },
	{ 0x2b29eeb0, "__iwl_err" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x9e1c1431, "ieee80211_key_replay" },
	{ 0x7ca231be, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1ec6bd1a, "ieee80211_rx_napi" },
	{ 0xc23c05e1, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xea3df241, "iwl_phy_db_init" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0x1b033798, "thermal_zone_device_unregister" },
	{ 0xd616dbf1, "ieee80211_stop_tx_ba_session" },
	{ 0x4db3d7da, "ieee80211_gtk_rekey_notify" },
	{ 0x5a5c633b, "device_set_wakeup_enable" },
	{ 0xf41e5eee, "regulatory_set_wiphy_regd_sync" },
	{ 0x1cf75d45, "ieee80211_get_tkip_p1k_iv" },
	{ 0xa690a8a5, "thermal_zone_device_priv" },
	{ 0x45cf4abd, "try_module_get" },
	{ 0x148e52f0, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xcf7e0528, "ieee80211_report_wowlan_wakeup" },
	{ 0xda6f7624, "iwl_uefi_get_sgom_table" },
	{ 0xb8d8f56a, "iwl_set_soc_latency" },
	{ 0xf060f63e, "iwl_acpi_get_guid_lock_status" },
	{ 0x70a40727, "iwl_bios_get_pwr_limit" },
	{ 0x575a1053, "ieee80211_iterate_interfaces" },
	{ 0x675256ae, "ieee80211_sched_scan_stopped" },
	{ 0xbd14515a, "iwl_configure_rxq" },
	{ 0x7da96e91, "ieee80211_chswitch_done" },
	{ 0xe6366b1d, "cfg80211_bss_iter" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5988395c, "iwl_notification_wait_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeac5d25b, "ieee80211_unreserve_tid" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7cc7a84b, "iwl_sar_fill_profile" },
	{ 0xa7a15189, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xea3ed78f, "iwl_fill_ppag_table" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x59c2042d, "iwl_dbg_tlv_del_timers" },
	{ 0xec3ab27f, "wiphy_work_flush" },
	{ 0x776221bf, "iwl_send_phy_db_data" },
	{ 0x11be8e49, "ieee80211_update_mu_groups" },
	{ 0x19fa3b5c, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2ce34eea, "ieee80211_free_hw" },
	{ 0xe75b7e77, "iwl_notification_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd17b4076, "iwl_fw_runtime_suspend" },
	{ 0x958d1955, "iwl_fw_lookup_notif_ver" },
	{ 0x96848186, "scnprintf" },
	{ 0x14e735aa, "ieee80211_get_tkip_p2k" },
	{ 0x7d526003, "iwl_fill_lari_config" },
	{ 0x825a704f, "ieee80211_iterate_stations_atomic" },
	{ 0xa43af0d5, "iwl_fw_disable_dbg_asserts" },
	{ 0x8ada23b9, "for_each_thermal_trip" },
	{ 0x66c59a5e, "thermal_zone_device_update" },
	{ 0x93a8255, "ieee80211_tx_status_ext" },
	{ 0xd1c38a14, "ptp_clock_index" },
	{ 0xe81bf010, "iwl_fw_runtime_init" },
	{ 0x5e4e18ac, "iwl_fw_dbg_collect_trig" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x1ad12768, "iwl_fw_dbg_collect_desc" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xfebb94c7, "thermal_cooling_device_register" },
	{ 0xa70c2e08, "led_classdev_unregister" },
	{ 0x43f0b62a, "ieee80211_register_hw" },
	{ 0xc109e99d, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6a31ba4a, "ieee80211_rate_control_unregister" },
	{ 0xa6e940b0, "__ieee80211_get_radio_led_name" },
	{ 0x78971d7e, "iwl_he_is_sgi" },
	{ 0x5c52e109, "iwl_opmode_deregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd301d967, "iwl_bios_get_tas_table" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xee8aa7b7, "get_device" },
	{ 0x1332e4de, "iwl_abort_notification_waits" },
	{ 0x4dea89ba, "iwl_get_nvm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x35033c81, "iwl_phy_db_free" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4742c7d1, "pskb_expand_head" },
	{ 0x84bb50e1, "iwl_rs_pretty_ant" },
	{ 0xf4034d53, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1acd54a6, "iwl_init_paging" },
	{ 0xd799f115, "thermal_zone_device_enable" },
	{ 0x7b5b67c7, "ieee80211_tx_status_skb" },
	{ 0xd8edf949, "__iwl_warn" },
	{ 0xf167ab80, "cfg80211_pmsr_report" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x722bc716, "ieee80211_iter_keys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xa13023ac, "pm_wakeup_dev_event" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xb53c7a0e, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24754222, "ieee80211_sta_set_buffered" },
	{ 0x51cd4801, "ieee80211_sta_uapsd_trigger" },
	{ 0x9ec9a0c1, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e911c8a, "wiphy_delayed_work_queue" },
	{ 0x375c067d, "iwl_bios_get_ewrd_table" },
	{ 0xbe0313c, "__iwl_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x7b06950a, "iwl_fw_lookup_cmd_ver" },
	{ 0xa90356c2, "iwl_pnvm_load" },
	{ 0xbca58dce, "__alloc_skb" },
	{ 0x7e55bf23, "iwl_fw_dbg_error_collect" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1057258a, "__free_pages" },
	{ 0x7ce31c3e, "iwlwifi_mod_params" },
	{ 0x19348edb, "iwl_read_external_nvm" },
	{ 0x2184e8da, "cfg80211_pmsr_complete" },
	{ 0x55eaefb2, "skb_queue_tail" },
	{ 0xf3c02be2, "_iwl_dbg_tlv_time_point" },
	{ 0xda028a43, "module_put" },
	{ 0xbc92b1e8, "ieee80211_get_channel_khz" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea792270, "ieee80211_remove_key" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7eb2c3b5, "wiphy_to_ieee80211_hw" },
	{ 0x7dfdab57, "ieee80211_rx_ba_timer_expired" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1a3b4361, "ieee80211_gtk_rekey_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98625011, "iwl_trans_pcie_remove" },
	{ 0x7c55f97b, "iwl_is_tas_approved" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xd0c85fe5, "ieee80211_reserve_tid" },
	{ 0x451faa64, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x484d1834, "iwl_bios_get_mcc" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc4fa7d8a, "ieee80211_find_sta_by_ifaddr" },
	{ 0x3d0ef802, "ieee80211_sta_block_awake" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xea1b26fc, "iwl_nvm_fixups" },
	{ 0xfbcd83dd, "iwl_bios_get_eckv" },
	{ 0xb8fef7ff, "kfree_skb_reason" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "mac80211,iwlwifi,cfg80211,rfkill");


MODULE_INFO(srcversion, "B02974656AAFAAA4E23EBA5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
