#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x980819b9, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x81abf0a6, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x62729492, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x5027c4fc, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xb3fea0c8, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x071e65e9, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xa31fbc71, "");
SYMBOL_CRC(rtw89_core_rx, 0x570a85c6, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x38b4f0ee, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xe0cc2345, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x0a47a566, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xc6e0b6b3, "");
SYMBOL_CRC(rtw89_check_quirks, 0x6d9e34d3, "");
SYMBOL_CRC(rtw89_core_init, 0xb4cd435d, "");
SYMBOL_CRC(rtw89_core_deinit, 0xbd4dbf9c, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x36c61d67, "");
SYMBOL_CRC(rtw89_core_register, 0xe94134c4, "");
SYMBOL_CRC(rtw89_core_unregister, 0xe72e3a03, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x409e7c4a, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x6491a965, "");
SYMBOL_CRC(rtw89_ops, 0x362c4616, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x23796bd6, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x8b02b634, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x8e15e93b, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xd6868b5d, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x0dc0b8a6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x883d84d0, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xe16c69ea, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x04eacc86, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x2902a20d, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x14766a81, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x4b91cfb6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xf1e05c04, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x2ee9d91d, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xb9571250, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xadef35db, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x1f4ffe9f, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x2097da4e, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0xce233507, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x2a5b7157, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x87b9c44b, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xa06280ed, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x2179c306, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x44026436, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x17bdb39e, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xb79b8b31, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xd8708f56, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xb4f47e22, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x9e4807f0, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xfe3aada2, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x331f021e, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x190bb759, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x4a30b771, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x7ab7d25f, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x0f1664e7, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xf07a022f, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x2e312a10, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x020b4b8f, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0xbcae19e5, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x0cee2a01, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x80435bc4, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x067db54f, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x47d1f4a4, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x5ae3848b, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x74e2b16a, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x71c5f680, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x2ad07a99, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x2997f3a4, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xdecf2498, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0xdb0fe688, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0xc4c7aca5, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x06a68095, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xf89ac039, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xf1a2bbe6, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0xd7063677, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x51d24ddb, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x39c84dc9, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x12d94cbc, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x5f42fd7f, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x96ce4cdf, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x9550fec8, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x678c9f1c, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x4f4e22a2, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xb9abac9b, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xa9c21af1, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0x2fc664ee, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x9c005503, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x37b992af, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xe7954c3b, "");
SYMBOL_CRC(rtw89_ser_notify, 0x00fd1277, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x6f46c00a, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9b7dddb, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfe038d24, "ieee80211_ready_on_channel" },
	{ 0x17734dbb, "ieee80211_stop_queues" },
	{ 0xb174b32e, "skb_trim" },
	{ 0xaaf3321b, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8f2d8075, "ieee80211_scan_completed" },
	{ 0x599fa8c1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x986a9890, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc97121d, "seq_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9b05323, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x62140e31, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x524a5b73, "ieee80211_queue_work" },
	{ 0xf0b9332d, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x5643d325, "napi_disable" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0x888bee87, "ieee80211_emulate_remove_chanctx" },
	{ 0x1f8f381d, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1ec6bd1a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd616dbf1, "ieee80211_stop_tx_ba_session" },
	{ 0x4db3d7da, "ieee80211_gtk_rekey_notify" },
	{ 0x5a5c633b, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xcf7e0528, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x72d9d0c9, "__ieee80211_schedule_txq" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe6366b1d, "cfg80211_bss_iter" },
	{ 0xcfbd2001, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa7a15189, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xed9e0751, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2ce34eea, "ieee80211_free_hw" },
	{ 0xe4c9791e, "ieee80211_probereq_get" },
	{ 0x35cc4ccd, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x77b183f3, "request_firmware" },
	{ 0x825a704f, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd427aec0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x14dfcbbf, "ieee80211_nullfunc_get" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xec11461d, "ieee80211_pspoll_get" },
	{ 0x43f0b62a, "ieee80211_register_hw" },
	{ 0x300eb799, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc109e99d, "ieee80211_restart_hw" },
	{ 0x3bfb3488, "__netif_napi_del" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4742c7d1, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x78550748, "__napi_schedule" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x55eaefb2, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7eb2c3b5, "wiphy_to_ieee80211_hw" },
	{ 0x1a3b4361, "ieee80211_gtk_rekey_add" },
	{ 0xf24e72, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb77a46f0, "ieee80211_next_txq" },
	{ 0xb8fef7ff, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1ce8fd4, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a546699, "skb_push" },
	{ 0x24680cf7, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x556d2dc9, "seq_putc" },
	{ 0xe44863aa, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xce7694ee, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xde0e53d4, "ieee80211_free_txskb" },
	{ 0xad22299f, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfcf67ac9, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x30558ff0, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "11B3767DB97616041C0352C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
