#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x8e78bc87, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xd8069b3c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x7a1cf22c, "nd_btt_arena_is_valid" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd8741806, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x23e36d21, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9589adab, "debugfs_create_x64" },
	{ 0x298ea55b, "blk_queue_flag_set" },
	{ 0x6d47184b, "nd_dev_to_uuid" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x504ab521, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcc02e250, "bio_endio" },
	{ 0x52c67b2a, "nd_region_release_lane" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x979c7304, "set_capacity" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xad00ae9, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x78d323d6, "to_nd_btt" },
	{ 0x65b2a031, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe665df73, "debugfs_create_u32" },
	{ 0x79f3c2c0, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb2b273f6, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9ef9ebfc, "nvdimm_namespace_capacity" },
	{ 0x56470118, "__warn_printk" },
	{ 0x60d1179b, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x640123b1, "badblocks_check" },
	{ 0x568be366, "nd_btt_version" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x4ce057d3, "bio_integrity_prep" },
	{ 0xb04c737e, "__blk_alloc_disk" },
	{ 0xce10b1c4, "blk_integrity_register" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xafcab3ab, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83925c00, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53df5b69, "debugfs_create_u16" },
	{ 0x69cc73f9, "to_nd_region" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "BE05BD95EEF27F82F8DE84B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
