#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4531624f, "usb_decode_ctrl" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0xd2081d9a, "usb_ep_set_maxpacket_limit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0x4ed37b9, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf349216, "usb_add_gadget_udc" },
	{ 0xed91c3b1, "usb_get_maximum_speed" },
	{ 0x2a0cfbcc, "devm_free_irq" },
	{ 0xa916b694, "strnlen" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xd1e0cdae, "device_wakeup_enable" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc5d9ce0e, "bpf_trace_run5" },
	{ 0x88173c0a, "cdns_suspend" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0x328874b8, "cdns_set_vbus" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7317576b, "bpf_trace_run1" },
	{ 0xc19c2e17, "usb_gadget_udc_reset" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c18d726, "cdns_drd_gadget_on" },
	{ 0x6cff98da, "usb_gadget_set_state" },
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0x910c04bd, "trace_seq_acquire" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0xbfa23928, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xefd47399, "usb_gadget_giveback_request" },
	{ 0x412bf584, "usb_del_gadget_udc" },
	{ 0xbc803b32, "cdns_drd_gadget_off" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x4567938, "__pm_runtime_suspend" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8a6691e5, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xff3081f7, "usb_gadget_map_request_by_dev" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xaa8574a2, "usb_gadget_unmap_request_by_dev" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0xd17144ad, "devm_request_threaded_irq" },
	{ 0x5557482b, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1a5498f3, "cdns_clear_vbus" },
	{ 0x4f3e2d03, "cdns_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x8c26e372, "cdns_set_active" },
	{ 0x2f8dd9a7, "pci_dev_put" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xa9377da0, "pci_get_device" },
	{ 0x95a50e1c, "cdns_remove" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0x5f5f5ccc, "pci_dev_run_wake" },
	{ 0xdec00d57, "devm_ioremap" },
	{ 0x83e9edcc, "cdns_init" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "cdns-usb-common");

MODULE_ALIAS("pci:v000017CDd00000200sv*sd*bc0Csc03iFE*");
MODULE_ALIAS("pci:v000017CDd00000200sv*sd*bc0Csc03i80*");
MODULE_ALIAS("pci:v000017CDd00000100sv*sd*bc0Csc03i80*");

MODULE_INFO(srcversion, "F5BFAB009B346F7C1445324");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
