#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0xf99824d2, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0xf47334a2, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x13d41659, "_gpl");
SYMBOL_CRC(musb_interrupt, 0xa61b6db2, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x8bbecb6d, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0xb65d38e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd6852a79, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbb22d7aa, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdee5adfc, "usb_hcd_check_unlink_urb" },
	{ 0x6366e116, "device_wakeup_disable" },
	{ 0xd1d44ae9, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0x18a6704b, "devm_kfree" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xd1e0cdae, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x40aac265, "sg_miter_stop" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x17ca33ed, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7317576b, "bpf_trace_run1" },
	{ 0xf9d7685e, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xacabdd89, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a8efd31, "__platform_driver_register" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0x646886df, "seq_read" },
	{ 0xd16ae779, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xcbaafa39, "debugfs_create_file" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0xbfa23928, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x443351ea, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x465e128f, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabfd8dae, "usb_hcd_poll_rh_status" },
	{ 0xfa66ca6c, "usb_create_hcd" },
	{ 0x7a03c96, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x63b68cce, "dev_err_probe" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x4567938, "__pm_runtime_suspend" },
	{ 0xc4b4600b, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0x1afed0cd, "__pm_runtime_use_autosuspend" },
	{ 0x46fc4d7f, "usb_remove_hcd" },
	{ 0xd55c3b8e, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf6478e37, "single_open" },
	{ 0xbb51c71, "usb_hcd_unmap_urb_for_dma" },
	{ 0x7a89953c, "__pm_runtime_disable" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xc870881b, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdb3cb306, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4c2701bd, "devm_platform_ioremap_resource" },
	{ 0x4b4859c3, "device_set_wakeup_capable" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0xac7b80b8, "usb_hcd_resume_root_hub" },
	{ 0xb88341dc, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x44d9936b, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5bf68091, "param_ops_ushort" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xd7be3a44, "pm_runtime_set_autosuspend_delay" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x8ff85592, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9c8c2ba, "usb_get_dr_mode" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0xaad4198e, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "A23126E09F650A0BCA804DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
