#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x83c685ff, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x7b4ecdb4, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0xa260929a, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x17f484be, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x35c6cb86, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xfa467999, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x79151c96, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x7357f7cf, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x31ad75f9, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xa42892c5, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x0400355f, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x8b67ea8e, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x873dff3c, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x74d75da4, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x774a0c3a, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x4571c004, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x02a7edf0, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x72d87e28, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x0db5e537, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x97e32df0, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xb46c5048, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x09f43b35, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x8efd7308, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xf7bbe0bf, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x26131046, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xaffa61db, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0xdfbf82ad, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x79b36bc3, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xfda621ac, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xb6ce1c72, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x770bb2cb, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xfd07a89d, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0xcdbd1fad, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xe774bb4a, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xb2916b32, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x2d4049dc, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x330b2e79, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xe5b3f856, "_gpl");
SYMBOL_CRC(typec_register_port, 0x2f70e808, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x52fddcbc, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x79d31c93, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x57176537, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x88656072, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x339876ae, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x9e159757, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x57b60050, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x12fae547, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xf7434b6c, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x0f784b07, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xa770cead, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x14a265b9, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x951bfc4e, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xaf0990ba, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x31bd1753, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xf49795ae, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0xe6aca966, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x8295b32d, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0xc78ccd59, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x6c421217, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xf7317fed, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0xefa79ac9, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xceff2d31, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x7db98f73, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xfa14a1f6, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xbff5f87e, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x6930c345, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x052151f2, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x4da3bb7c, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xf3a941c0, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x7cca2533, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xac295bcc, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xf217fb3b, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xa3c84004, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x6f346671, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x86522770, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x8a25e1ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x229f2a8c, "class_unregister" },
	{ 0x3f6c0846, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbf192a91, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xccf825bb, "fwnode_property_read_string" },
	{ 0xac73049d, "fwnode_property_present" },
	{ 0x65c9c205, "component_master_del" },
	{ 0x1b5c4d5d, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x80260206, "device_get_named_child_node" },
	{ 0xbd2447fd, "component_bind_all" },
	{ 0xee1713e9, "device_match_name" },
	{ 0x377b513, "kobject_uevent" },
	{ 0x3947cf78, "fwnode_connection_find_matches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x81188c30, "match_string" },
	{ 0x4764bf1f, "component_unbind_all" },
	{ 0xcfe63d7e, "driver_register" },
	{ 0xc76c882a, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x7439d36f, "__dev_fwnode" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x6a9ae21, "bus_register" },
	{ 0x1df927ab, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x45cf4abd, "try_module_get" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb5d3d708, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe68aa1bb, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2e0d72ce, "device_unregister" },
	{ 0x720eabd5, "acpi_bus_for_each_dev" },
	{ 0x6e86170d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xec278201, "fwnode_connection_find_match" },
	{ 0x2146058a, "fwnode_get_next_child_node" },
	{ 0x55b7c17d, "device_for_each_child" },
	{ 0xee8aa7b7, "get_device" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaad4198e, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc2c6c78, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x2d2999bf, "fwnode_property_read_u32_array" },
	{ 0xda028a43, "module_put" },
	{ 0xed3d8d72, "sysfs_create_link" },
	{ 0xf20014ad, "fwnode_get_name" },
	{ 0x5481bb2, "kobject_uevent_env" },
	{ 0x952498a9, "sysfs_update_group" },
	{ 0xa169b523, "bus_unregister" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x95349d11, "device_add" },
	{ 0xb91661f4, "sysfs_remove_link" },
	{ 0x6dcccf44, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad07c629, "driver_unregister" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F47B6B35AC915F0E2E5A7DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
