#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc63898c, "bio_add_page" },
	{ 0x2dc516f2, "crypto_shash_update" },
	{ 0x377dab20, "from_vfsgid" },
	{ 0x6d716695, "bio_split_rw" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc8178f60, "alloc_pages_bulk_noprof" },
	{ 0x4796de55, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb023136f, "__audit_inode_child" },
	{ 0xb5132e55, "d_obtain_alias" },
	{ 0x9d705547, "file_modified" },
	{ 0xca37c33c, "radix_tree_iter_resume" },
	{ 0x9c86440b, "sysfs_create_group" },
	{ 0xf3b264ec, "posix_acl_chmod" },
	{ 0x723a0b10, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x2985e4e0, "__put_devmap_managed_folio_refs" },
	{ 0xa265a741, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xf6942614, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x4341a594, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0x45ad401c, "inode_add_bytes" },
	{ 0xc6201fe9, "__folio_start_writeback" },
	{ 0x7317576b, "bpf_trace_run1" },
	{ 0x7a81905f, "folio_end_writeback" },
	{ 0xb3270ede, "folio_alloc_noprof" },
	{ 0x70c715f9, "from_kuid" },
	{ 0x6a749cd4, "bio_init" },
	{ 0xda991441, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x5e16c756, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf777e9c0, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5dffbb77, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x56257a1d, "generic_remap_file_range_prep" },
	{ 0xd8e021a5, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb35387bf, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x42881a45, "__insert_inode_hash" },
	{ 0x7d7974be, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb90a1fd8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe66a413, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5de56ea5, "filemap_get_folios" },
	{ 0x307c04b5, "blkcg_root_css" },
	{ 0x96975b4, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x4dc3d62, "make_kgid" },
	{ 0x3a5d85be, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x5da6ccae, "d_delete" },
	{ 0xa965609b, "wbc_account_cgroup_owner" },
	{ 0x473ba821, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2b07b061, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x539d42ec, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x13467715, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26c9eff6, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x16b0f179, "sysfs_remove_group" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3153b41d, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3947d1cf, "super_setup_bdi" },
	{ 0xc4a278a, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0xf30c95e4, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xe3349db3, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9d78be9c, "kobject_del" },
	{ 0xffb57b13, "d_instantiate_new" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0xd6ff599f, "bio_uninit" },
	{ 0xa97b98a, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x9cce57a1, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7aa00bc, "filemap_fdatawait_range" },
	{ 0x410f09b1, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6cef5f08, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0x46c1a8ea, "simple_rename_timestamp" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x74fee6ab, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0xcb233352, "inode_set_ctime_current" },
	{ 0x9bb5834b, "inc_nlink" },
	{ 0xc97121d, "seq_write" },
	{ 0x83a5219a, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50dd15c4, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf48d820a, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xe61116cd, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xac2c6e27, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8a39e46b, "deactivate_locked_super" },
	{ 0xe8e2c01c, "touch_atime" },
	{ 0xf96c4d56, "filemap_read" },
	{ 0x8824bf99, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xed80e46b, "tag_pages_for_writeback" },
	{ 0xd1bd68f5, "balance_dirty_pages_ratelimited_flags" },
	{ 0x377b513, "kobject_uevent" },
	{ 0x934bcb1f, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xcf25d45b, "posix_acl_update_mode" },
	{ 0xc26b37f8, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xe301fb63, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xf9f4f8ac, "alloc_pages_noprof" },
	{ 0x6dcc8ec4, "__folio_lock" },
	{ 0x7ac173be, "folio_wait_bit" },
	{ 0xe21325ae, "filemap_dirty_folio" },
	{ 0x7220719a, "pagecache_get_page" },
	{ 0xea572917, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9a37a8c5, "rcuwait_wake_up" },
	{ 0x4c3ebc0f, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xeac30286, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0xf65550b3, "file_ra_state_init" },
	{ 0xc84da9a3, "__fs_parse" },
	{ 0x2d7ae390, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6c968541, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xeb4df718, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x3df47cf1, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xd287726e, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x2d489f93, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xcaae2c9d, "fsverity_ioctl_measure" },
	{ 0x3775e9a4, "generic_write_checks" },
	{ 0xd11840c8, "iov_iter_revert" },
	{ 0x35491c02, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xabade51, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xbea4d631, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0x955e57d, "crypto_alloc_shash" },
	{ 0xd36db1ba, "d_invalidate" },
	{ 0x5946729c, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x89557ddf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0x66efa188, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x391aba9e, "iomap_dio_bio_end_io" },
	{ 0x607f7f8a, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xb36b131, "drop_nlink" },
	{ 0xc27ed8bf, "fault_in_iov_iter_readable" },
	{ 0x60e0d1d9, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x67edb6c1, "fs_param_is_u64" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x8987875e, "iget_failed" },
	{ 0x156ce497, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xacd0cea6, "fs_bio_set" },
	{ 0x22adce2a, "kmem_cache_destroy" },
	{ 0x96571e5b, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x650b2f82, "kset_create_and_add" },
	{ 0x3fae1931, "blkdev_issue_discard" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7b4b1e43, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x81bb1a3b, "truncate_inode_pages" },
	{ 0xaf4a3462, "folio_invalidate" },
	{ 0x65ba8e40, "__page_file_index" },
	{ 0x764b9186, "inode_update_timestamps" },
	{ 0xfd2826ea, "inode_init_owner" },
	{ 0xbe871073, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x203b4670, "vfs_fsync_range" },
	{ 0x7b3230dc, "setattr_prepare" },
	{ 0xb89fc709, "filemap_migrate_folio" },
	{ 0x63ec220d, "bdev_file_open_by_path" },
	{ 0xfa0552a2, "shrinker_alloc" },
	{ 0xd4161ca2, "clear_nlink" },
	{ 0x3ea61792, "sync_blockdev_range" },
	{ 0x86aa0f12, "file_check_and_advance_wb_err" },
	{ 0x3262aa98, "filemap_flush" },
	{ 0xcd880fd8, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x72fb2a5d, "filemap_get_folios_tag" },
	{ 0x4e0a1ddd, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf5502d33, "d_instantiate" },
	{ 0xeaa7ded, "_copy_to_iter" },
	{ 0x33948920, "fsverity_ioctl_enable" },
	{ 0xc839acf2, "pagecache_isize_extended" },
	{ 0x2eff86be, "misc_deregister" },
	{ 0x5f035e8, "__bio_add_page" },
	{ 0xd4bb5204, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc2ade565, "clear_inode" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x6b1512ba, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9c9bf3f3, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x4ead07e8, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x23443be, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x407cad78, "fs_param_is_string" },
	{ 0xf0f30036, "__folio_batch_release" },
	{ 0x7dd5eabe, "folio_unlock" },
	{ 0xeb9e97f3, "set_blocksize" },
	{ 0x629c0a85, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe2f5a536, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x41426a25, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa28453e4, "try_to_writeback_inodes_sb" },
	{ 0x7cca8ab6, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0xc8694700, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x4f1834a2, "init_special_inode" },
	{ 0x1ce57d85, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa4b59252, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x265d0120, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa50f4038, "generic_error_remove_folio" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6ee52e47, "filemap_fdatawrite_range" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x55fd0952, "bio_add_folio_nofail" },
	{ 0xdbdaff03, "d_make_root" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3487bc7d, "__fsverity_file_open" },
	{ 0x1057a279, "bsearch" },
	{ 0xa960c37b, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x23967b1, "xas_find" },
	{ 0x105e732a, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xbcf9f07b, "sync_filesystem" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x664e31a3, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x3f21a00f, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xb4ca3ddd, "sget_fc" },
	{ 0x551f9cb2, "d_splice_alias" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xaae8d158, "current_time" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0xcc898c84, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe862b99c, "from_vfsuid" },
	{ 0xbb7e600a, "ihold" },
	{ 0xd6e2f9ff, "fsverity_verify_blocks" },
	{ 0x2643c04e, "page_get_link" },
	{ 0x8ad5ad6e, "inode_dio_wait" },
	{ 0xedf71ecc, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x21ac1ff, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b9f8e44, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd564aa52, "finish_open" },
	{ 0x65c915e5, "iput" },
	{ 0xf6c0a522, "filemap_range_has_writeback" },
	{ 0x109e5f84, "kset_unregister" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x5fbeb6a5, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x81fc6c6a, "wbc_attach_and_unlock_inode" },
	{ 0x60dad612, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x84db3e89, "filemap_release_folio" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9f1ca488, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xc0e4f71f, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x64b45b32, "register_filesystem" },
	{ 0x48426ea, "d_tmpfile" },
	{ 0xbdc0b71e, "kmem_cache_create" },
	{ 0x38f1f505, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbcab02b8, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb15f393b, "filemap_add_folio" },
	{ 0x55f39683, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xc86bafc8, "clear_page_dirty_for_io" },
	{ 0x7620b6bf, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe30bb13e, "d_prune_aliases" },
	{ 0xed7044b0, "wake_up_process" },
	{ 0x979fcb71, "shrinker_free" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0xbff37a17, "fscrypt_setup_filename" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xe08d978b, "filemap_get_folios_contig" },
	{ 0xca6291ca, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x5022eb0b, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xcd961030, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xaad4198e, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9a590ba, "inode_set_bytes" },
	{ 0x128d79b5, "migrate_folio" },
	{ 0xf69ae18f, "lookup_one" },
	{ 0x4a6971b, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8b8873f9, "add_swap_extent" },
	{ 0x377cd3ac, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0xed350fee, "inode_newsize_ok" },
	{ 0x9513c306, "lock_two_nondirectories" },
	{ 0xf5c4ed27, "mnt_want_write_file" },
	{ 0x9343c81, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x6c660d35, "posix_acl_from_xattr" },
	{ 0x35b1a7af, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x34e1c0c1, "make_kuid" },
	{ 0x89e0fb43, "truncate_inode_pages_final" },
	{ 0x8828d9eb, "inode_sub_bytes" },
	{ 0x6df67ee3, "sync_blockdev" },
	{ 0x89c5969a, "fs_kobj" },
	{ 0xc2467fd9, "bio_add_folio" },
	{ 0xe53fc235, "__filemap_set_wb_err" },
	{ 0xf0d95aab, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x4142c158, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0xae7404a7, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x618911fc, "numa_node" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0x60d5e360, "__check_sticky" },
	{ 0x1057258a, "__free_pages" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d7c9976, "xattr_full_name" },
	{ 0x91ca5912, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xdab2025b, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x60d8ece, "submit_bio" },
	{ 0x2995dfc1, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xed3d8d72, "sysfs_create_link" },
	{ 0x2a3a74fa, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x85133acc, "mntput" },
	{ 0xc2c5802, "work_busy" },
	{ 0x1bc0846a, "inode_init_once" },
	{ 0xcd5cc07e, "bioset_exit" },
	{ 0x78341b05, "compat_ptr_ioctl" },
	{ 0x48c7732a, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f18a69c, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x3980220f, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xcc02e250, "bio_endio" },
	{ 0x3d6b1d27, "mount_subtree" },
	{ 0xe6002f39, "__inode_attach_wb" },
	{ 0xcc859170, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x52b59835, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x93d5f202, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0xe6a7c669, "__bio_advance" },
	{ 0x952498a9, "sysfs_update_group" },
	{ 0xc58678d6, "sysfs_unmerge_group" },
	{ 0x2c040419, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb7e64aaa, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x16a6513f, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0x9bbc62c1, "inode_maybe_inc_iversion" },
	{ 0x3b2b8337, "unlock_page" },
	{ 0xbdafd7ff, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6e4aa4d8, "thp_get_unmapped_area" },
	{ 0xb91661f4, "sysfs_remove_link" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0xed9db405, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x93e04967, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x694e98d3, "put_fs_context" },
	{ 0x490a1274, "unlock_two_nondirectories" },
	{ 0xcf9a990, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe705f112, "wait_on_page_writeback" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xe1068c8, "folio_mark_accessed" },
	{ 0xa45f5215, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0xc5d9ce0e, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x5ff3e52a, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xdf3eca8, "file_update_time" },
	{ 0xd9c51838, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48b824f6, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x754f663, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x53ac0612, "security_inode_init_security" },
	{ 0x32e6d419, "from_kgid" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x147e06ee, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb22edda4, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x35558e9c, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe461c1ce, "blkdev_issue_zeroout" },
	{ 0x848a16b7, "file_remove_privs" },
	{ 0x2b4d605b, "fault_in_iov_iter_writeable" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x569abf8b, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xca283422, "kobject_init_and_add" },
	{ 0x431c2a2a, "zero_fill_bio_iter" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "00D4EE64B7CBE4842F93BBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
