#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0x2c040419, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf9c8f40b, "fscache_withdraw_cache" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0xc5d9ce0e, "bpf_trace_run5" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3a6d5933, "lock_rename" },
	{ 0x754f663, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0xb4fd6348, "vfs_getxattr" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x5e76be5, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x25b0b82d, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0x5e16c756, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3f28d3a5, "vfs_iocb_iter_read" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0xd8e021a5, "misc_register" },
	{ 0x2a10bee5, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb90a1fd8, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x480a59c8, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x45fef9f0, "fscache_acquire_cache" },
	{ 0xcc70c61c, "security_path_unlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xda409cf, "security_inode_create" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0xf996e58b, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xc25bbdd5, "fscache_add_cache" },
	{ 0x3d5c76eb, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb721f925, "path_get" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x97db228f, "lookup_positive_unlocked" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa802b6b8, "fscache_withdraw_cookie" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c2d6da7, "fscache_clearance_waiters" },
	{ 0xe61116cd, "dput" },
	{ 0xac2c6e27, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xe8e2c01c, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2387c006, "__SCK__tp_func_fscache_access_volume" },
	{ 0x16e115a3, "vfs_llseek" },
	{ 0xbafe3a59, "kernel_file_open" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9a37a8c5, "rcuwait_wake_up" },
	{ 0x942d8696, "vfs_link" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x680b6626, "prepare_kernel_cred" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x2acb5e19, "fscache_n_dio_misfit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x97856c9d, "security_inode_mkdir" },
	{ 0xcbaa055b, "security_path_rename" },
	{ 0x1a2fbc01, "set_security_override_from_ctx" },
	{ 0x1521ddf3, "netfs_prepare_write_failed" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x22adce2a, "kmem_cache_destroy" },
	{ 0xbf2e6f28, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0x55762e62, "fscache_wait_for_operation" },
	{ 0x20e27da6, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbc222905, "revert_creds" },
	{ 0x2eff86be, "misc_deregister" },
	{ 0xafff42da, "vfs_setxattr" },
	{ 0x759554dd, "fscache_try_get_volume" },
	{ 0xa6577cfc, "notify_change" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0x5ead5328, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1ee73b57, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3f954c0f, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4d7f2056, "fscache_get_cookie" },
	{ 0xa6257a2f, "complete" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc3c7dfc, "iov_iter_advance" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x18a7fd70, "abort_creds" },
	{ 0x10dc1f71, "fscache_io_error" },
	{ 0xbcf9f07b, "sync_filesystem" },
	{ 0xe532a263, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xa938de06, "fscache_cookie_lookup_negative" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdc0b71e, "kmem_cache_create" },
	{ 0x7ad84719, "bpf_trace_run8" },
	{ 0x9b8656f6, "vfs_unlink" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6e22a622, "vfs_truncate" },
	{ 0x55f39683, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x387c78e0, "__put_cred" },
	{ 0x3d269c95, "vfs_mkdir" },
	{ 0x4b7c40c3, "kernel_tmpfile_open" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0x1ac4942, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xec5223c3, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8b38060a, "vfs_iocb_iter_write" },
	{ 0xa5f89711, "fscache_end_cookie_access" },
	{ 0xaebfb707, "fscache_withdraw_volume" },
	{ 0xa916b694, "strnlen" },
	{ 0xf62b3ec2, "fscache_relinquish_cache" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0x85133acc, "mntput" },
	{ 0x718c1b46, "fscache_put_cookie" },
	{ 0x4e71a37e, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "5A1690E0E779CC54DD4A518");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
