#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0xec718b7c, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xfcef5c68, "");
SYMBOL_CRC(wiphy_register, 0xead7b436, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x7ecf9c48, "");
SYMBOL_CRC(wiphy_unregister, 0x42cba49b, "");
SYMBOL_CRC(wiphy_free, 0xc4aac684, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xce24dd7c, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x4eeb5e7e, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x7c819248, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x4dfd437f, "");
SYMBOL_CRC(wiphy_work_queue, 0x5d6caf89, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xa764bfb5, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xec3ab27f, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x7e911c8a, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x7ab9e324, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x2acc9009, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xbc92b1e8, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x59d11379, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x6fbfa88d, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x8e77efe0, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xfce166b7, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xf18ef006, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xee542758, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xaee5ea50, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x5ecb2fc5, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x64ed552c, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x2a283eee, "");
SYMBOL_CRC(cfg80211_get_station, 0x04e4b66c, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x541d038f, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x73363208, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x58bbdbd9, "");
SYMBOL_CRC(get_wiphy_regdom, 0x8ae6c6f1, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xb621427e, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x37277dee, "");
SYMBOL_CRC(regulatory_hint, 0xd427aec0, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xa6c70e91, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xf41e5eee, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xb9db0d79, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x20386afd, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x183f4d03, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xf4781b84, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x9e9652fd, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xb4827b9c, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x96bab20a, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xb1e1167f, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x8b598753, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x9ca8915e, "");
SYMBOL_CRC(cfg80211_put_bss, 0x20e0b5bc, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xdc968dae, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xe6366b1d, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xad390b63, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x2f9af48a, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0xae3ad8a4, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x2738b708, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x85a55732, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xd8f7d23e, "");
SYMBOL_CRC(cfg80211_nan_match, 0x80532ac7, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xbd5f5e6e, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x96cdcf11, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x7d777cff, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x6e4f68d4, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xc23c05e1, "");
SYMBOL_CRC(cfg80211_links_removed, 0xc59c806e, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x7d1542d3, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x5f335956, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x83af20d2, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x9908bd58, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xe821daa5, "");
SYMBOL_CRC(cfg80211_new_sta, 0xbc836ea4, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x18a2af6f, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x3140fa39, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xcae7a079, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x6bbf564c, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x051ece82, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x2c38a3e1, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x57fc7e49, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x78e417f9, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x3371c9f6, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x5019413c, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x55a2a766, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x58ec1706, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x425d4564, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xc0ae4e49, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x9ff22c6f, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xfcd5bef9, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x6e010c7a, "");
SYMBOL_CRC(cfg80211_probe_status, 0xbe2c5639, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x0c865908, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x7e69b5dc, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x79e17bb8, "");
SYMBOL_CRC(cfg80211_ft_event, 0x79368a82, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xb9512518, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x4ef374ae, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xa6ac3c7b, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x3e45c8f0, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x899bd174, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xc201fc99, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x61afbf85, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x15396b97, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x9f065f61, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x846425b7, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xa4b32368, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x4248d8d3, "");
SYMBOL_CRC(cfg80211_cac_event, 0x366cc599, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x2ac0f725, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xd65feb1e, "");
SYMBOL_CRC(cfg80211_connect_done, 0x4d9a16bb, "");
SYMBOL_CRC(cfg80211_roamed, 0xf4d64e96, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xc128fc96, "");
SYMBOL_CRC(cfg80211_disconnected, 0x61bd60e0, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x70776d83, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x5e102a23, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x74924ec2, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x36b80414, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0x7ae5f3f5, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x6ce2296f, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xf8f93f1c, "");
SYMBOL_CRC(wdev_chandef, 0x2cddcc68, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x1e8b9e35, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x2184e8da, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xf167ab80, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0x94fa04ed, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x966f0b13, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0x6fde541d, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0xb6ecc0bc, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0xb8fbfe0c, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0xb07b9f90, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0xc303e121, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x3ab2be2f, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0x9a4a89cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd23d336a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6c211cc6, "__pskb_pull_tail" },
	{ 0x8963ee1a, "netif_rx" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb174b32e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0x5be28cfe, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3b42b887, "get_net_ns_by_pid" },
	{ 0x3db7221f, "debugfs_rename" },
	{ 0xd585137f, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xff2b59cd, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x156c4d2f, "genl_unregister_family" },
	{ 0x57bdb54b, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x46d1f3f9, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xf3636db2, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdbc5f631, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xfaaaf109, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6eed3f90, "get_net_ns_by_fd" },
	{ 0xc76c882a, "class_register" },
	{ 0x78a75ec1, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbd7762, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x3edef6b3, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0x3868b20d, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xb5d3d708, "dev_set_name" },
	{ 0xa7a15189, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x265d0120, "bpf_trace_run6" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x77b183f3, "request_firmware" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x6e86170d, "device_initialize" },
	{ 0x89064247, "genlmsg_put" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe0038071, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1245f8ab, "unregister_netdevice_queue" },
	{ 0x7ad84719, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xba883b3d, "netlink_broadcast_filtered" },
	{ 0x4cd6cc9, "keyring_alloc" },
	{ 0xe64ea722, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b48c717, "device_rename" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0x87ac0dfd, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x18272276, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xbca58dce, "__alloc_skb" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xed3d8d72, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xca5c8ab6, "inet_csk_get_port" },
	{ 0xc7fd1a08, "key_put" },
	{ 0x5481bb2, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3c6ae524, "__dev_get_by_index" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0x13089552, "init_net" },
	{ 0x44ff7e7a, "request_firmware_nowait" },
	{ 0xe6c87eca, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x95349d11, "device_add" },
	{ 0xb91661f4, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x119e6995, "init_uts_ns" },
	{ 0x37d83e07, "platform_device_unregister" },
	{ 0xc4e1bf76, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4bf88267, "dev_get_by_index" },
	{ 0xc5d9ce0e, "bpf_trace_run5" },
	{ 0xb8fef7ff, "kfree_skb_reason" },
	{ 0x5d4d5d2e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a546699, "skb_push" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8af413dd, "wireless_send_event" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x229f2a8c, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe2d3953a, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf8f0c359, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7317576b, "bpf_trace_run1" },
	{ 0x79eed48, "device_del" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "F28D3033418915882068B82");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
