#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x3ae44d68, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x7b9b1187, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xa1aa06d9, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x6c1458d1, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xb9258662, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x6314913c, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x7dd271f4, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xf7899f27, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xa37a4c6c, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x8fb7415b, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xc38eb2b0, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xd71d0e0e, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x049f14d3, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x523e7348, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xa87d9503, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x40ae1884, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x030d2c3e, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xf5750d01, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xea9e6b58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd16ae779, "phy_set_mode_ext" },
	{ 0x6b272c31, "phy_power_on" },
	{ 0xb7f7c2c1, "phy_init" },
	{ 0xb24c7136, "phy_power_off" },
	{ 0xd04b605b, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d7f0a32, "regulator_disable" },
	{ 0xdc1f03ea, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb3cb306, "__pm_runtime_idle" },
	{ 0x7a89953c, "__pm_runtime_disable" },
	{ 0x7b442222, "ata_host_resume" },
	{ 0x3ca708ea, "ahci_reset_controller" },
	{ 0xb2fe61e1, "ahci_init_controller" },
	{ 0x9463e62a, "regulator_enable" },
	{ 0x6bde8fc0, "platform_get_irq" },
	{ 0x921a7231, "ahci_save_initial_config" },
	{ 0xad8fa893, "ahci_set_em_messages" },
	{ 0x5cd48adc, "ata_host_alloc_pinfo" },
	{ 0x7ed02645, "platform_get_resource" },
	{ 0x8ac47350, "ata_port_desc" },
	{ 0x7049dc96, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xe12a31dc, "ahci_print_info" },
	{ 0xfaaff1a7, "ahci_host_activate" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0x7b38ebd6, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xadf76866, "devres_open_group" },
	{ 0x3ee9b7c8, "__devres_alloc_node" },
	{ 0x5772c930, "devres_add" },
	{ 0xfaad6420, "platform_get_resource_byname" },
	{ 0x7414b91, "devm_platform_ioremap_resource_byname" },
	{ 0x8a1e3b97, "devm_clk_bulk_get_all" },
	{ 0xb34406c7, "devm_regulator_get" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x92ab54ac, "devm_of_phy_get" },
	{ 0xfb6678c6, "regulator_get" },
	{ 0xbb22d7aa, "pm_runtime_enable" },
	{ 0xbfa23928, "__pm_runtime_resume" },
	{ 0x39b6f304, "devres_remove_group" },
	{ 0x4c2701bd, "devm_platform_ioremap_resource" },
	{ 0x56891646, "devres_release_group" },
	{ 0xc303302d, "devm_reset_control_array_get" },
	{ 0x1682601f, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x1d4f41e, "ata_host_suspend" },
	{ 0xd03732b0, "__pm_runtime_set_status" },
	{ 0x1a21a4fa, "ahci_ops" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
