#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xc70215aa, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x5fc562f4, "");
SYMBOL_CRC(__bcma_driver_register, 0x9462e554, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x3445588f, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xaceb4d06, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x193966ec, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x062a9be6, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xe48a743a, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x5e7e3af7, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x5c58b8c0, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x03cc9128, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x772bdacb, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x5b49ec23, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x871cdbc6, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x367b96b0, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x9b5af0dd, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb5d9076f, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x392b6d3d, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x2117e1fa, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xc1712755, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xf1ecf6b5, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xf77615d9, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x01275215, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x8c09e0f0, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xd159fff2, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x04abf8e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x951a1e6c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2bc84e8, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x180bfc9d, "gpiochip_get_data" },
	{ 0xa169b523, "bus_unregister" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x95349d11, "device_add" },
	{ 0x37d83e07, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad07c629, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6204144b, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x46b6e78d, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd51b1217, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xd585137f, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb2af897e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0xa2e470b9, "pcie_set_readrq" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xcfe63d7e, "driver_register" },
	{ 0x7439d36f, "__dev_fwnode" },
	{ 0xb21e362c, "pci_write_config_dword" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x6a9ae21, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xfbc4d2a0, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5d3d708, "dev_set_name" },
	{ 0x39aaaea7, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2e0d72ce, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6e86170d, "device_initialize" },
	{ 0x823a7d57, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee8aa7b7, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06F2ABEEDD7CABF4026D05B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
