#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_parent_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xdedcaed1, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x3af3455a, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xffc251c8, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x64ef9f0a, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x0294aa8e, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x816012dd, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x35f23a15, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xa897398b, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xb3dd8832, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x361b4123, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xb8f51d5b, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x413c0ad5, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xf0bcb186, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x27afd5d8, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x2f3c5431, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x23ba991d, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xd3923c88, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x284b0d21, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xaf15b172, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x7ea83bdb, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xce6982e8, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xebef09aa, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x9b1de783, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x17b60bde, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xf5169bc4, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x58f579b8, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x8901b927, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x8a1323a7, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xfbdde949, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xccab1699, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xc13ccb1a, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x2a158302, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x521b3fd5, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xd50db644, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x160c016e, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xa8fc6e93, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x412af0d5, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x89b026ab, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x5ff3265d, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xbbf2c634, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x672dbd93, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x71bb5bad, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x89d2267d, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xdf5bc9da, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xbe48427b, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xc6a40a43, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xaa7c26da, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xe12e08c6, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x0a0670b3, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x354f6689, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xe1d000de, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xe024d3bb, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x8eec9bb0, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x5f39ad8a, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x7dcb0916, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x906d1398, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x91adca17, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x0b6074ac, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x53789a3c, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xfac66c56, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xd2171914, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x8c658a6b, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x4d8e0457, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x7f920367, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x7b6f10db, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x75b9e07c, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x7970a569, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x24241da9, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x063ccc7f, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xda2eb540, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xc4cdf3c2, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x9cf33e50, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x183186d5, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x299a13e0, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x405dd402, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x6a1a7557, "_gpl");
SYMBOL_CRC(cxl_setup_parent_dport, 0x3578b5aa, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x675255d4, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x1e33474b, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x6a5b4ccf, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x065e9214, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x931af690, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x90a841b6, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xfe74130d, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x3c963574, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x5a39f552, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x297ee944, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x7acc1d61, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x73f0e2dd, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x13ea6ae5, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xa394e41d, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xf2ea3b0c, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xe0b170fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb24d13f3, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3adf6794, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc672fb2a, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x465e128f, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0xee1713e9, "device_match_name" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xe95cae57, "pci_walk_bus" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x7168966f, "__devm_add_action" },
	{ 0x8f5e5019, "pci_find_dvsec_capability" },
	{ 0x9cb30422, "device_find_child_by_name" },
	{ 0x1288760, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcc0af11, "pci_write_config_word" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc63c7830, "pcie_bandwidth_available" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xcfe63d7e, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe1c8d2c, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6a0d42af, "pci_bus_type" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x6a9ae21, "bus_register" },
	{ 0x3c0dbfc9, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6f68f67a, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdada8192, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xb5d3d708, "dev_set_name" },
	{ 0x5bf68091, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x145b2d9, "cdev_device_del" },
	{ 0x265d0120, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x2e0d72ce, "device_unregister" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdec00d57, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x6e86170d, "device_initialize" },
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x55b7c17d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2326993f, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xbc1a3185, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0xee8aa7b7, "get_device" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8d0adb73, "platform_bus" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x951a1e6c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4ed37b9, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x23a74e74, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xa2bc84e8, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe4d742a3, "bus_for_each_dev" },
	{ 0xed3d8d72, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x78341b05, "compat_ptr_ioctl" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0x952498a9, "sysfs_update_group" },
	{ 0xa169b523, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x18a6704b, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc030871c, "debugfs_create_bool" },
	{ 0xe84ac108, "bus_find_device" },
	{ 0x95349d11, "device_add" },
	{ 0xb91661f4, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0xc5d9ce0e, "bpf_trace_run5" },
	{ 0xf37350f3, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cac9618, "kernfs_find_and_get_ns" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x33560638, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad07c629, "driver_unregister" },
	{ 0x13763ef9, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3f6c0846, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x147e6904, "devm_release_action" },
	{ 0x79eed48, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x36ab640, "pci_print_aer" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x884d8193, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "728661E6C21EC2980DC7939");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
