#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xe09fd7e2, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xe56bfcc8, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x24a8ebbf, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xa6b64e2a, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x49792cdf, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xb4cb3010, "");
SYMBOL_CRC(dfl_driver_unregister, 0xb0d94ea5, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x729f2a7a, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x421da96c, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x7ed699a7, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xc1471708, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x1df8ab0d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xddb7e440, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x2df69008, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x8ba9269d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x5cd98fe1, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xdc80a5e8, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x558a4319, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x7b1ff6d0, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x6fba72ef, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xfe8d23cd, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x90729347, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x8a39953d, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xcc3db380, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x0a54f7a0, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x0004e848, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x45cf4abd, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xda028a43, "module_put" },
	{ 0xcfe63d7e, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xad07c629, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe1c8d2c, "cdev_init" },
	{ 0x46f7bd02, "cdev_add" },
	{ 0x4da8840f, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xee8aa7b7, "get_device" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x18a6704b, "devm_kfree" },
	{ 0x379ea342, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4ed37b9, "__devm_request_region" },
	{ 0xdec00d57, "devm_ioremap" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6a9ae21, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa169b523, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e0d72ce, "device_unregister" },
	{ 0x4c2701bd, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e86170d, "device_initialize" },
	{ 0xb5d3d708, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x95349d11, "device_add" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xb102a277, "platform_device_del" },
	{ 0x5d6ac9ed, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x495e3a07, "platform_device_put" },
	{ 0x55b7c17d, "device_for_each_child" },
	{ 0x9ab9757b, "fpga_region_unregister" },
	{ 0x37d83e07, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9d2bb467, "devm_ioremap_resource" },
	{ 0xa8f6e87e, "__fpga_region_register" },
	{ 0xd7dd57b2, "devm_iounmap" },
	{ 0x407f7d75, "__devm_release_region" },
	{ 0xebd0299d, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "192EAE9BEEDF3E5B6649B18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
