#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0xdd04f69d, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x7d4f538c, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xda7a132a, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x9e7568fc, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xbd0f8585, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x0f023a2d, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xfcbc3995, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xf81afbac, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x480a0fef, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x62d1bd91, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x69281eac, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x0ecfff83, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xa4eb270f, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x992947eb, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x34ebb9d4, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x8a067614, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a7a41b4, "drm_helper_disable_unused_functions" },
	{ 0xeb4abac0, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x534b1783, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x8439b47e, "drm_fb_helper_fini" },
	{ 0x2b586e90, "dma_mmap_pages" },
	{ 0x5b704d60, "drm_client_framebuffer_delete" },
	{ 0x5adb8eca, "dma_free_pages" },
	{ 0xf4b7d7ce, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b5c8008, "drm_driver_legacy_fb_format" },
	{ 0x85e0de98, "drm_fb_helper_fill_info" },
	{ 0xaf716cd, "drm_gem_create_mmap_offset" },
	{ 0xf64631ab, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x52cb405d, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46f4243c, "fb_sys_write" },
	{ 0xd0821c6e, "sys_imageblit" },
	{ 0xc8dac624, "drm_atomic_helper_damage_iter_init" },
	{ 0x7c7ca053, "drm_fb_helper_blank" },
	{ 0x2afdd590, "dma_alloc_pages" },
	{ 0xfa5d622d, "drm_gem_private_object_init" },
	{ 0x12749eb5, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f6e8115, "sys_fillrect" },
	{ 0xda028a43, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc7a0b944, "drm_client_init" },
	{ 0xfbc5fd4f, "drm_gem_vm_close" },
	{ 0x508de9db, "drm_gem_vm_open" },
	{ 0x74d028b6, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x377235d4, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x947de4ec, "drm_gem_handle_create" },
	{ 0x957abd48, "drm_gem_fb_get_obj" },
	{ 0x571b642f, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe5732aa9, "drm_fb_helper_pan_display" },
	{ 0xa0b5f08c, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x179ed49a, "sys_copyarea" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x50b7900e, "drm_client_buffer_vunmap" },
	{ 0x5dc236c8, "fb_sys_read" },
	{ 0xec4a6670, "drm_fb_helper_debug_leave" },
	{ 0xbaf680a3, "dma_buf_vmap_unlocked" },
	{ 0x4c16d9c, "dma_mmap_attrs" },
	{ 0xd327c18d, "dma_get_sgtable_attrs" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xb1a5352a, "drm_fb_helper_initial_config" },
	{ 0xd515faed, "drm_fb_helper_unregister_info" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x3f442c36, "drm_fb_helper_ioctl" },
	{ 0x7252e992, "drm_fb_helper_set_par" },
	{ 0x63f0e2f2, "drm_prime_gem_destroy" },
	{ 0x40b4485, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x45cf4abd, "try_module_get" },
	{ 0xcb25b018, "drm_fb_helper_init" },
	{ 0x76db4c12, "drm_fb_helper_debug_enter" },
	{ 0xa65d0c79, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x945f08e, "drm_client_buffer_vmap" },
	{ 0x86f99283, "drm_fb_helper_lastclose" },
	{ 0xc7b3f781, "drm_fb_helper_setcmap" },
	{ 0xaf73fb1a, "drm_fb_helper_alloc_info" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CC2497A1B36C15B9E2E4E9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
