#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x776c2691, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xc4e917be, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x74b0de28, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x4899e90d, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xa1311820, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x4907babf, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0xd2ff82fb, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x225d7959, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xd37a51b4, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xe302cb72, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x6fe0f993, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x2317c45e, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x8dede12f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x0cc3e1b7, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x02e5a2b9, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xe44791f0, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x6f4a6c96, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x6cdd02ea, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x3f359332, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x1e040362, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xceed1add, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xb934481a, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xcc408160, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x8b8c4899, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xef5862c2, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x378408ce, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x0c981ddc, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xdcbee4ea, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x44f8915a, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xa00a8421, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xfc04e40c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0xb60f1b67, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xe01fcd22, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x2d354fb3, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xef48ed2f, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x5d45e587, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xa91a1351, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x144c076d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x377235d4, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xc80eac28, "drm_exec_prepare_array" },
	{ 0xdef83cfb, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xfa5d622d, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa5aa3634, "drm_exec_prepare_obj" },
	{ 0xb0f11290, "drm_exec_lock_obj" },
	{ 0x387b3c99, "drm_exec_init" },
	{ 0x582d2a7c, "drm_exec_cleanup" },
	{ 0x9991003d, "drm_exec_fini" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
