#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e92749, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x35b15000, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0xd28273e2, "drmm_mode_config_init" },
	{ 0xa4ce5c1a, "vmbus_close" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0xcea9c3eb, "vmbus_recvpacket" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4ed99434, "drm_add_modes_noedid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x44bbe9bd, "drm_atomic_helper_commit" },
	{ 0xee9dcaf4, "drm_atomic_helper_check" },
	{ 0x7856d530, "drm_atomic_helper_connector_destroy_state" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x5cf4da74, "drm_gem_mmap" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x74330604, "drm_ioctl" },
	{ 0x7e37bb2b, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0xe366f750, "drm_dev_unplug" },
	{ 0x25d06043, "drm_connector_init" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x399fd7d8, "drm_mode_config_helper_suspend" },
	{ 0x8b7c31d2, "vmbus_open" },
	{ 0x30d58bbf, "drm_atomic_helper_damage_merged" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0x7fb10aba, "drm_read" },
	{ 0x2e8740f8, "drm_gem_fb_create_with_dirty" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xd38e90c9, "__devm_drm_dev_alloc" },
	{ 0xa11c3fd1, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x856ba30c, "drm_fbdev_generic_setup" },
	{ 0x2dbf1df9, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x224374f9, "drm_simple_display_pipe_init" },
	{ 0x2aae75f4, "drm_connector_cleanup" },
	{ 0xcb741448, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0xbf514b9e, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0x6e62020b, "__vmbus_driver_register" },
	{ 0x27f019f0, "drm_helper_probe_single_connector_modes" },
	{ 0xab9d84a5, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0x18a33670, "drm_set_preferred_mode" },
	{ 0x93d1aec6, "drm_atomic_helper_connector_reset" },
	{ 0x24def95f, "vmbus_allocate_mmio" },
	{ 0x9979895e, "drm_mode_config_reset" },
	{ 0x2f03fb7f, "drm_mode_config_helper_resume" },
	{ 0x3f2e8978, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0xd8f9af17, "drm_compat_ioctl" },
	{ 0x1ac22c7d, "drm_dev_register" },
	{ 0xbed3250d, "drm_release" },
	{ 0x1bac8be3, "vmbus_driver_unregister" },
	{ 0x94ce7d0e, "drm_open" },
	{ 0x9edf0b57, "drm_poll" },
	{ 0x5b43a34d, "drm_dev_enter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf7468d17, "drm_plane_enable_fb_damage_clips" },
	{ 0xa6257a2f, "complete" },
	{ 0xee0988fd, "drm_gem_shmem_dumb_create" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9846b1c9, "drm_atomic_helper_shutdown" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x79d1760a, "vmbus_sendpacket" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "9F23E7A2F72A1ED8D31F8B2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
