#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0xc5b598eb, "mma9551_read_accel_chan" },
	{ 0xea36eedc, "mma9551_read_status_words" },
	{ 0xd8b73be0, "mma9551_gpio_config" },
	{ 0xd18b1cd6, "i2c_client_get_device_id" },
	{ 0x241f18fe, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x91fe0736, "mma9551_read_version" },
	{ 0xd17144ad, "devm_request_threaded_irq" },
	{ 0xbb22d7aa, "pm_runtime_enable" },
	{ 0xd7be3a44, "pm_runtime_set_autosuspend_delay" },
	{ 0x1afed0cd, "__pm_runtime_use_autosuspend" },
	{ 0xa98cb73, "__iio_device_register" },
	{ 0xe321d414, "mma9551_read_config_words" },
	{ 0x99b0d5d3, "mma9551_app_reset" },
	{ 0x48e211ab, "mma9551_write_config_words" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0xc6cf651a, "acpi_match_device" },
	{ 0x3084e39e, "iio_push_event" },
	{ 0xa873c1bf, "iio_enum_read" },
	{ 0x9fc4f420, "iio_enum_write" },
	{ 0x71fe17d6, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x257d93b, "i2c_register_driver" },
	{ 0xbfc2b5aa, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x8f6de948, "iio_device_unregister" },
	{ 0x7a89953c, "__pm_runtime_disable" },
	{ 0xd03732b0, "__pm_runtime_set_status" },
	{ 0x8fb35821, "iio_get_time_ns" },
	{ 0x35d0bdaa, "mma9551_write_config_word" },
	{ 0x100c4797, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9227cc99, "mma9551_set_power_state" },
	{ 0xff11a177, "i2c_del_driver" },
	{ 0xb90ab87, "mma9551_read_status_word" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "F1242C485FB389CECBDB67B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
