#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_magn_regmap_config, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_probe, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_remove, "", "IIO_BMC150_MAGN");
KSYMTAB_DATA(bmc150_magn_pm_ops, "", "IIO_BMC150_MAGN");

SYMBOL_CRC(bmc150_magn_regmap_config, 0xafda65b9, "");
SYMBOL_CRC(bmc150_magn_probe, 0xa61d83b7, "");
SYMBOL_CRC(bmc150_magn_remove, 0x36d09932, "");
SYMBOL_CRC(bmc150_magn_pm_ops, 0xc593e84a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f6de948, "iio_device_unregister" },
	{ 0x7a89953c, "__pm_runtime_disable" },
	{ 0xd03732b0, "__pm_runtime_set_status" },
	{ 0x787199c4, "iio_triggered_buffer_cleanup" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3280fdfd, "iio_trigger_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x456e83d6, "regulator_bulk_disable" },
	{ 0x241f18fe, "devm_iio_device_alloc" },
	{ 0x7431e2cb, "devm_regulator_bulk_get" },
	{ 0xd61e3a4f, "iio_read_mount_matrix" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x203dcd9f, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdb298343, "regmap_write" },
	{ 0x7e2bc24d, "iio_device_id" },
	{ 0x1c687c76, "__devm_iio_trigger_alloc" },
	{ 0x577aec9a, "iio_trigger_register" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xdadf618f, "iio_triggered_buffer_setup_ext" },
	{ 0x63b68cce, "dev_err_probe" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xbb22d7aa, "pm_runtime_enable" },
	{ 0xd7be3a44, "pm_runtime_set_autosuspend_delay" },
	{ 0x1afed0cd, "__pm_runtime_use_autosuspend" },
	{ 0xa98cb73, "__iio_device_register" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0xc6cf651a, "acpi_match_device" },
	{ 0x6b06a28d, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfa23928, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4567938, "__pm_runtime_suspend" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x5987425d, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb7899611, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8069a0b, "regmap_update_bits_base" },
	{ 0x96848186, "scnprintf" },
	{ 0xbf626f39, "iio_buffer_enabled" },
	{ 0xdd67ae14, "iio_push_to_buffers" },
	{ 0xc285f50e, "iio_trigger_notify_done" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "60BA42D962978C4291D0227");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
