#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x58d38abc, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0xc151dc31, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x42180a33, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x3dbf2a0d, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x08dfbe7b, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0x85c1d7a6, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0xf5b92989, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x207e98e7, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x92a96299, "_gpl");
SYMBOL_CRC(wm9705_codec, 0x86165003, "_gpl");
SYMBOL_CRC(wm9712_codec, 0x9ba84d59, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x57024dc7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb081fe9, "input_event" },
	{ 0xd6db5f5c, "input_set_abs_params" },
	{ 0x2a8efd31, "__platform_driver_register" },
	{ 0x4cb294fc, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0x495e3a07, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4b4859c3, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0x44d9936b, "platform_driver_unregister" },
	{ 0xd2280c9f, "devm_input_allocate_device" },
	{ 0xafce403b, "param_array_ops" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6437b204, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x6366e116, "device_wakeup_disable" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xd1e0cdae, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x37d83e07, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d6ac9ed, "platform_device_add" },
	{ 0xebd0299d, "platform_device_alloc" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E32059AC69758AAB6D7E2EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
