#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(saa7146_register_extension, "_gpl", "");
KSYMTAB_FUNC(saa7146_unregister_extension, "_gpl", "");
KSYMTAB_FUNC(saa7146_pgtable_alloc, "_gpl", "");
KSYMTAB_FUNC(saa7146_pgtable_free, "_gpl", "");
KSYMTAB_FUNC(saa7146_pgtable_build_single, "_gpl", "");
KSYMTAB_FUNC(saa7146_vmalloc_build_pgtable, "_gpl", "");
KSYMTAB_FUNC(saa7146_vfree_destroy_pgtable, "_gpl", "");
KSYMTAB_FUNC(saa7146_wait_for_debi_done, "_gpl", "");
KSYMTAB_FUNC(saa7146_setgpio, "_gpl", "");
KSYMTAB_FUNC(saa7146_i2c_adapter_prepare, "_gpl", "");
KSYMTAB_DATA(saa7146_debug, "_gpl", "");

SYMBOL_CRC(saa7146_register_extension, 0xe48d4374, "_gpl");
SYMBOL_CRC(saa7146_unregister_extension, 0x9d4f65de, "_gpl");
SYMBOL_CRC(saa7146_pgtable_alloc, 0x98f1bd26, "_gpl");
SYMBOL_CRC(saa7146_pgtable_free, 0xa6bd6dd4, "_gpl");
SYMBOL_CRC(saa7146_pgtable_build_single, 0x40ae5034, "_gpl");
SYMBOL_CRC(saa7146_vmalloc_build_pgtable, 0xb702d3c2, "_gpl");
SYMBOL_CRC(saa7146_vfree_destroy_pgtable, 0xf953cfad, "_gpl");
SYMBOL_CRC(saa7146_wait_for_debi_done, 0x47b2a88d, "_gpl");
SYMBOL_CRC(saa7146_setgpio, 0x8d749fa6, "_gpl");
SYMBOL_CRC(saa7146_i2c_adapter_prepare, 0x5f0a41cb, "_gpl");
SYMBOL_CRC(saa7146_debug, 0xe3cd9b5c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92540fbf, "finish_wait" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ff02e92, "vmalloc_32_noprof" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0x89a683b2, "dma_unmap_sg_attrs" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x3ecfaf54, "pci_release_region" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x75617ac7, "dma_map_sg_attrs" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4d5c7cb9, "pci_request_region" },
	{ 0x5ead5328, "param_ops_uint" },
	{ 0xfbc4d2a0, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x629c0a85, "vmalloc_to_page" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98B1D4C486D7196A2020E7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
