#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2f7641, "usb_kill_urb" },
	{ 0x18834b68, "usb_free_coherent" },
	{ 0x90f5304, "usb_free_urb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5178d65a, "vb2_plane_vaddr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab58e697, "usb_submit_urb" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6807c40e, "usb_deregister" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb80bf707, "vb2_vmalloc_memops" },
	{ 0xb946ff24, "vb2_queue_init" },
	{ 0x8c94df26, "video_device_release_empty" },
	{ 0x797cff66, "v4l2_device_register" },
	{ 0xbec52e5f, "__spi_alloc_controller" },
	{ 0x97bf322d, "spi_register_controller" },
	{ 0x2a222048, "v4l2_spi_new_subdev" },
	{ 0x5884a2f2, "v4l2_ctrl_handler_init_class" },
	{ 0x82c32248, "v4l2_ctrl_add_handler" },
	{ 0x4c7e989d, "__video_register_device" },
	{ 0xa2bc84e8, "put_device" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x1c833520, "_dev_notice" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x92cd6392, "v4l2_ctrl_find" },
	{ 0x38af39b8, "v4l2_ctrl_g_ctrl" },
	{ 0xb7307393, "__v4l2_ctrl_s_ctrl" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x850327c5, "usb_set_interface" },
	{ 0x7c607834, "usb_alloc_urb" },
	{ 0x31c66f66, "usb_alloc_coherent" },
	{ 0x3224dfff, "vb2_fop_read" },
	{ 0x5066997c, "vb2_fop_poll" },
	{ 0xdf2b0a0, "video_ioctl2" },
	{ 0xad31cb47, "vb2_fop_mmap" },
	{ 0xab6bc056, "v4l2_fh_open" },
	{ 0x1ff59f73, "vb2_fop_release" },
	{ 0xcf09f5a6, "vb2_ioctl_reqbufs" },
	{ 0x94be76ba, "vb2_ioctl_querybuf" },
	{ 0x675e8419, "vb2_ioctl_qbuf" },
	{ 0x28c64068, "vb2_ioctl_dqbuf" },
	{ 0x75bc7658, "vb2_ioctl_create_bufs" },
	{ 0xa632ff08, "vb2_ioctl_prepare_buf" },
	{ 0xea8ffdd6, "vb2_ioctl_streamon" },
	{ 0x44716ff9, "vb2_ioctl_streamoff" },
	{ 0x3af0e8d0, "v4l2_ctrl_log_status" },
	{ 0xff8a8bce, "v4l2_ctrl_subscribe_event" },
	{ 0x4a979579, "v4l2_event_unsubscribe" },
	{ 0x1660e779, "vb2_ops_wait_prepare" },
	{ 0x8df4cc6, "vb2_ops_wait_finish" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x549d5254, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6083e7ee, "v4l2_device_disconnect" },
	{ 0x7bf0d066, "video_unregister_device" },
	{ 0xe56622df, "spi_unregister_controller" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7ec8b518, "v4l2_device_put" },
	{ 0xa7501799, "v4l2_ctrl_handler_free" },
	{ 0x1cd0b1fb, "v4l2_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x16153f55, "usb_control_msg" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xffe1706b, "spi_finalize_current_message" },
	{ 0x18c70a9, "video_devdata" },
	{ 0xaa9d9ab1, "v4l2_subdev_call_wrappers" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2665f099, "vb2_buffer_done" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-common,videobuf2-vmalloc,videobuf2-v4l2,videodev");

MODULE_ALIAS("usb:v1DF7p2500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pD300d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F41311BAF769BC4476A62A9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
