#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xae2c2da9, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x6bca9cd1, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x7f379c7b, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0xd3f7edd4, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x1788f7b5, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0x817e4a3e, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x91d89fa3, "");
SYMBOL_CRC(mptscsih_remove, 0xa5618afc, "");
SYMBOL_CRC(mptscsih_shutdown, 0x4eac7248, "");
SYMBOL_CRC(mptscsih_suspend, 0x418a797b, "");
SYMBOL_CRC(mptscsih_resume, 0xe6fc445e, "");
SYMBOL_CRC(mptscsih_show_info, 0x27bb5e2c, "");
SYMBOL_CRC(mptscsih_info, 0x28d7aba5, "");
SYMBOL_CRC(mptscsih_qcmd, 0x2479ca3c, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x64b65b35, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x429e898e, "");
SYMBOL_CRC(mptscsih_abort, 0xc1756aa0, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xf81f72f3, "");
SYMBOL_CRC(mptscsih_target_reset, 0x9b6d0223, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x3f50fc6a, "");
SYMBOL_CRC(mptscsih_host_reset, 0xda5a0d1f, "");
SYMBOL_CRC(mptscsih_bios_param, 0x52f17219, "");
SYMBOL_CRC(mptscsih_io_done, 0x3cf79d73, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x00aeae5b, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x34464f01, "");
SYMBOL_CRC(mptscsih_event_process, 0x83d3f844, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x382521a4, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x4fe49d02, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x3bb9f7a5, "scsi_host_put" },
	{ 0xc08f3c4b, "mpt_detach" },
	{ 0x4a5bcedf, "scsi_block_requests" },
	{ 0xbef03bf1, "mpt_suspend" },
	{ 0xd9d976df, "mpt_resume" },
	{ 0x53ddccce, "scsi_unblock_requests" },
	{ 0xca39d179, "mpt_print_ioc_summary" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0x1c69ac0c, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f9029b3, "mpt_put_msg_frame" },
	{ 0xd6e66e00, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x95f78000, "mpt_free_msg_frame" },
	{ 0xb808c65e, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa0bc0606, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3ee3682e, "mpt_send_handshake_request" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa4f2cdef, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x30dd1b0b, "mpt_Soft_Hard_ResetHandler" },
	{ 0x8d08f29e, "mpt_put_msg_frame_hi_pri" },
	{ 0xc84ddb7e, "mpt_HardResetHandler" },
	{ 0x670d2576, "scsi_print_command" },
	{ 0x783c30c4, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x14197b4b, "mpt_halt_firmware" },
	{ 0xa6257a2f, "complete" },
	{ 0x31155435, "scsi_change_queue_depth" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb83836ed, "mpt_raid_phys_disk_get_num_paths" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6541814e, "mpt_raid_phys_disk_pg1" },
	{ 0xa9ab7189, "scsi_dma_unmap" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "FD45EE1B036082930164509");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
