#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0xee8bbd7f, "_gpl");
SYMBOL_CRC(pds_client_register, 0x4f450e33, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x2f6b9d1a, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x0fdef7b9, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x46af0c60, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x88b26bfc, "devl_lock" },
	{ 0x2f8dd9a7, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x53df5b69, "debugfs_create_u16" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0xd4559aed, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x823a7d57, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x30fc7d24, "devlink_alloc_ns" },
	{ 0xadf47147, "pci_sriov_get_totalvfs" },
	{ 0x8ff85592, "seq_lseek" },
	{ 0xfda2d224, "pci_reset_function_locked" },
	{ 0xf9da51d7, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x3124cedb, "pci_irq_vector" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xba181128, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2c576f70, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9589adab, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xa2bc84e8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x57cef75d, "debugfs_create_regset32" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9ad2ddc3, "devl_health_reporter_create" },
	{ 0x61354592, "pci_iov_vf_id" },
	{ 0x73d30e2e, "debugfs_lookup" },
	{ 0xdd0b9c0d, "pci_iomap_range" },
	{ 0xc6491f4c, "devlink_flash_update_timeout_notify" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x13089552, "init_net" },
	{ 0xc030871c, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2272bbf9, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x556d2dc9, "seq_putc" },
	{ 0xffb7c514, "ida_free" },
	{ 0xeb3bad01, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2757094a, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6204144b, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x79eed48, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe665df73, "debugfs_create_u32" },
	{ 0x996a6883, "devl_params_unregister" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb9fb5147, "pci_reset_function" },
	{ 0xba802e90, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0x646886df, "seq_read" },
	{ 0xcbaafa39, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb2b273f6, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2af897e, "pci_release_regions" },
	{ 0xe2c96995, "pcie_print_link_status" },
	{ 0x2f4bdd97, "pci_dev_get" },
	{ 0xc97121d, "seq_write" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0x28b66270, "devlink_priv" },
	{ 0xede6435e, "pci_disable_sriov" },
	{ 0x1630dbbd, "pci_disable_device" },
	{ 0x7a03c96, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xf6478e37, "single_open" },
	{ 0x49c2162c, "devl_register" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xf87959c5, "pci_free_irq_vectors" },
	{ 0x731237ae, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3576ec2, "pci_iov_get_pf_drvdata" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5cd5ea5f, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfbc4d2a0, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x11cd5ce1, "auxiliary_device_init" },
	{ 0x39aaaea7, "pci_iomap" },
	{ 0xc2fdd9, "pci_alloc_irq_vectors" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D05855D197C55F9489926AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
