#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0xb30b0334, "ssb_dma_translation" },
	{ 0xdb70aee1, "dev_addr_mod" },
	{ 0x461f0aff, "register_netdev" },
	{ 0xccf6edf6, "netif_carrier_off" },
	{ 0x30b7faca, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ab15ab9, "__mdiobus_register" },
	{ 0xcc8f610c, "mdiobus_is_registered_device" },
	{ 0x94634df, "phy_connect" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x351266a3, "phy_attached_info" },
	{ 0x4b4859c3, "device_set_wakeup_capable" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x92997ed8, "_printk" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xaf4f7677, "phy_ethtool_ksettings_set" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf005fb, "netif_device_detach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5643d325, "napi_disable" },
	{ 0xe847a27c, "phy_stop" },
	{ 0xde2cc696, "netif_carrier_on" },
	{ 0x66fd01f1, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd1891c13, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd674c49, "dma_map_page_attrs" },
	{ 0xbca58dce, "__alloc_skb" },
	{ 0x113032ca, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x78834256, "netif_device_attach" },
	{ 0x2af0e4de, "netif_tx_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdb1ac729, "dev_kfree_skb_irq_reason" },
	{ 0xa3d4f3ba, "napi_complete_done" },
	{ 0xc4a3a00e, "napi_alloc_skb" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x87ac0dfd, "eth_type_trans" },
	{ 0x5f2bcd5d, "netif_receive_skb" },
	{ 0xe6c87eca, "skb_pull" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x7deadcd1, "netif_schedule_queue" },
	{ 0xa9936cb4, "dma_alloc_attrs" },
	{ 0x24680cf7, "napi_enable" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0xee7ce784, "phy_start" },
	{ 0x294fe210, "eth_validate_addr" },
	{ 0x8ff7782c, "ethtool_op_get_link" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0x79410684, "phy_ethtool_ksettings_get" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5a5c633b, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd2e157fb, "phy_mii_ioctl" },
	{ 0x87e12d89, "generic_mii_ioctl" },
	{ 0x37a0cba, "kfree" },
	{ 0xf43d6720, "dma_free_attrs" },
	{ 0x238a9be1, "phy_print_status" },
	{ 0xd3856dc1, "ssb_pcihost_register" },
	{ 0x4c2fd73, "__ssb_driver_register" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0x7146807c, "ssb_driver_unregister" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf0b9332d, "napi_schedule_prep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x78550748, "__napi_schedule" },
	{ 0x7e5af486, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbc9cf8b9, "unregister_netdev" },
	{ 0xd178280f, "ssb_device_disable" },
	{ 0xcb250a0, "ssb_bus_may_powerdown" },
	{ 0x3bfb3488, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x93021db7, "free_netdev" },
	{ 0x4899ea97, "phy_disconnect" },
	{ 0x6672fc3, "mdiobus_unregister" },
	{ 0x9b47ce30, "mdiobus_free" },
	{ 0xdc49973b, "pci_set_power_state" },
	{ 0x7e41b9e8, "__dma_sync_single_for_device" },
	{ 0x79e746b, "__dma_sync_single_for_cpu" },
	{ 0x33560638, "pci_read_config_word" },
	{ 0xbcc0af11, "pci_write_config_word" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe64ea722, "netdev_err" },
	{ 0x45a86211, "ssb_device_is_enabled" },
	{ 0x2105bc2a, "ssb_device_enable" },
	{ 0x45040b37, "ssb_pcicore_dev_irqvecs_enable" },
	{ 0x54ee304e, "ssb_clockspeed" },
	{ 0x5bf5f710, "alloc_etherdev_mqs" },
	{ 0xed9e0751, "netif_napi_add_weight" },
	{ 0x8858bd90, "ssb_bus_powerup" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "ssb,libphy,mii");

MODULE_ALIAS("ssb:v4243id0806rev*");
MODULE_ALIAS("pci:v000014E4d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000170Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "182B1D9CBA7712F01A7368C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
