#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x12555420, "_gpl");
SYMBOL_CRC(rndis_command, 0x409aeb7a, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x90ae6bfc, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x2a670a08, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x5144f815, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0xa2c0accf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16153f55, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1f8f44b, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xed3ee6da, "usbnet_generic_cdc_bind" },
	{ 0xd4e4825f, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb70aee1, "dev_addr_mod" },
	{ 0xe720f3da, "__dynamic_netdev_dbg" },
	{ 0x43adc190, "_dev_warn" },
	{ 0xe6c87eca, "skb_pull" },
	{ 0xb174b32e, "skb_trim" },
	{ 0x1033b1a2, "usbnet_cdc_zte_rx_fixup" },
	{ 0x24121212, "skb_clone" },
	{ 0x54cf6a2f, "usbnet_skb_return" },
	{ 0x8ebb7546, "skb_copy_expand" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x549d5254, "usb_register_driver" },
	{ 0x6807c40e, "usb_deregister" },
	{ 0x7f72a6b8, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7e25c27, "usbnet_probe" },
	{ 0xc0b6c73c, "usbnet_disconnect" },
	{ 0x28e51b11, "usbnet_suspend" },
	{ 0x9d1e16b9, "usbnet_resume" },
	{ 0x886b8a02, "usbnet_open" },
	{ 0x9d313f4c, "usbnet_stop" },
	{ 0x63a23c09, "usbnet_start_xmit" },
	{ 0xc1d0caaa, "eth_mac_addr" },
	{ 0x294fe210, "eth_validate_addr" },
	{ 0x1b9f7180, "usbnet_tx_timeout" },
	{ 0xdce82aed, "dev_get_tstats64" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
