#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x1bb73341, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0xb7fd27e5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x4dace0da, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x470ad5fc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x233c8c99, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x8027f62a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x0392dbca, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x11802cc5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x7f11659b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x140200dd, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xf1b748ac, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xa388232a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x85fb7d3e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x9db36cef, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xcd212b38, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x7545c1d2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0xd1209dbc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xd79210a8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x32860fbf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x9b9c8608, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x99bd50e9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0xb114fe34, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x4ecfd584, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xbbdb5000, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x9d86a9dc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x2af83375, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0xc307f44a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0xa8b2f636, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0xb2dc7274, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x400c331d, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0x9229e175, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0xb7ebbde7, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x93f71123, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x1e4b51bb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x96786988, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x4b9cea98, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x91ad22a0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0xd2586e31, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x73cd1a08, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x3baefd4d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x482936b4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x38392f25, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xd2ad0583, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x9b695c4d, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x550810f4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xf9f5be95, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x4c091073, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xf345e1c3, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x655e0dbf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x11494f22, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0xb975a477, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0xbf161573, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xeca6d3cf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x0e8f96e8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x0055e6e2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xbaacdc18, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xe656bb75, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x0398049e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x5d572e68, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xb52becdb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xe4c7c45c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x77d3bf04, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xd7448eb6, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xf3366d5a, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x730ec19d, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xe80cd7e7, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x47f16354, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0xd30c9ad1, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x25b95cb6, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xb0591c12, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x838b8bf1, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0xa9707d73, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x259d3200, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xdfc0c377, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x360b21a3, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x3e194cc8, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xaa06d360, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x7d654faa, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xb3582013, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0xef800c92, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x9050048a, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x668d2356, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0xe215a1d2, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x47c22abb, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x952ef2e8, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0xd0cd8ec7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa7a15189, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdee55361, "mt76_tx_status_skb_get" },
	{ 0xc2909a24, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x408ee4fb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x77b183f3, "request_firmware" },
	{ 0x7cfce783, "mt76_get_rate" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x7027ce3b, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x59d11379, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed7044b0, "wake_up_process" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xf6967e44, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf84598d9, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x9424519b, "mt76_init_queue" },
	{ 0xc5e5eb5, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x18a6704b, "devm_kfree" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xe6c87eca, "skb_pull" },
	{ 0xf4c7761c, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7a546699, "skb_push" },
	{ 0xe44863aa, "ieee80211_wake_queues" },
	{ 0x3798f0a3, "mt76_mcu_send_and_get_msg" },
	{ 0xce7694ee, "ieee80211_iter_keys_rcu" },
	{ 0xae54674, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x2a840452, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17734dbb, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x991f4821, "mt76_get_rate_power_limits" },
	{ 0x8f2d8075, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6b92ad, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2a63d622, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x5f23d80e, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbbbfdf9b, "mt76_tx_status_unlock" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "702A128555C2A2D8D9C1D0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
