#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cros_ec_lpc_io_bytes_mec, "", "");
KSYMTAB_FUNC(cros_ec_lpc_mec_init, "", "");

SYMBOL_CRC(cros_ec_lpc_io_bytes_mec, 0xaa1c36de, "");
SYMBOL_CRC(cros_ec_lpc_mec_init, 0xc4ebc6b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x572d95f2, "cros_ec_register" },
	{ 0xa571ebf8, "platform_device_register" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x5481bb2, "kobject_uevent_env" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x37d83e07, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86516abd, "cros_ec_unregister" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x502565b1, "cros_ec_prepare_tx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21cab34a, "__hw_protection_shutdown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a8efd31, "__platform_driver_register" },
	{ 0xa68e8b82, "_dev_emerg" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdb0e039b, "platform_get_irq_optional" },
	{ 0xe30c3587, "cros_ec_check_result" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77cc9c73, "cros_ec_get_next_event" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0x62fdcdd3, "cros_ec_suspend_late" },
	{ 0xbbbeca9f, "devm_kmalloc" },
	{ 0x44d9936b, "platform_driver_unregister" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x6438bedb, "cros_ec_resume_early" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe54b9c7e, "cros_ec_resume_complete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4ed37b9, "__devm_request_region" },
	{ 0x8368954b, "cros_ec_suspend_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "cros_ec");

MODULE_ALIAS("dmi*:bvn*coreboot*:bvr*Google_*:");
MODULE_ALIAS("dmi*:bvn*coreboot*:svn*GOOGLE*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Link*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Samus*:");
MODULE_ALIAS("dmi*:svn*Acer*:pn*Peppy*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Glimmer*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*AMDRyzen*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop*:");
MODULE_ALIAS("acpi*:GOOG0004:*");

MODULE_INFO(srcversion, "F4FD809452631785B1AC1F2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
