#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x751c5e4a, "p9_client_disconnect" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2c874020, "netfs_readahead" },
	{ 0x6e5dfa06, "p9_client_attach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5022eb0b, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa420d4d8, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xda1749e8, "netfs_invalidate_folio" },
	{ 0xd384c683, "p9stat_free" },
	{ 0x9343c81, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c660d35, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xd61c3184, "netfs_clear_inode_writeback" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7961429b, "p9_client_create" },
	{ 0x3beff7e3, "posix_acl_valid" },
	{ 0x34e1c0c1, "make_kuid" },
	{ 0x89e0fb43, "truncate_inode_pages_final" },
	{ 0x89c5969a, "fs_kobj" },
	{ 0x497c6c4c, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x19f40772, "simple_nosetlease" },
	{ 0x7a5548f0, "netfs_page_mkwrite" },
	{ 0x5d7c9976, "xattr_full_name" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x1bc0846a, "inode_init_once" },
	{ 0xa7d4ea98, "file_write_and_wait_range" },
	{ 0xd43369e1, "p9_client_setattr" },
	{ 0x8e9ef873, "copy_splice_read" },
	{ 0x4ea44d0, "__fscache_relinquish_volume" },
	{ 0x12ce9294, "p9_client_xattrwalk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x3f18e735, "netfs_file_write_iter" },
	{ 0xbdafd7ff, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xed9db405, "set_cached_acl" },
	{ 0x98266bc0, "p9_client_destroy" },
	{ 0x9d745079, "p9_client_unlinkat" },
	{ 0x5ff3e52a, "setattr_copy" },
	{ 0x942cb70f, "get_cached_acl" },
	{ 0xd9c51838, "set_nlink" },
	{ 0x48b824f6, "kmem_cache_alloc_lru_noprof" },
	{ 0x754f663, "kmem_cache_free" },
	{ 0x999a6cd5, "p9_client_mkdir_dotl" },
	{ 0x444c8115, "d_move" },
	{ 0x5eaf45d4, "netfs_release_folio" },
	{ 0x8302234a, "p9_client_xattrcreate" },
	{ 0xa1a4c542, "iov_iter_kvec" },
	{ 0xa861af13, "sget" },
	{ 0x6c1d901f, "p9_client_create_dotl" },
	{ 0x5df87842, "p9_client_lock_dotl" },
	{ 0x9c86440b, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xcefe99, "finish_no_open" },
	{ 0x7566270f, "p9_client_write" },
	{ 0x5183a967, "p9_client_walk" },
	{ 0x4252796a, "do_trace_9p_fid_put" },
	{ 0x2c71ae54, "netfs_dirty_folio" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x71b5941f, "p9_show_client_options" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0xae36e0e4, "p9_client_read" },
	{ 0xb35387bf, "inode_owner_or_capable" },
	{ 0x45f9d1be, "p9_client_fsync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bd8f96, "p9dirent_read" },
	{ 0x6da8943f, "p9_client_symlink" },
	{ 0x4dc3d62, "make_kgid" },
	{ 0x3190f81a, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2b07b061, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x539d42ec, "truncate_setsize" },
	{ 0x4dfdf8bf, "p9_client_readlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7a2d4fe, "p9_is_proto_dotl" },
	{ 0x16b0f179, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbee4c449, "noop_direct_IO" },
	{ 0x6fa9ad90, "p9_client_clunk" },
	{ 0x3947d1cf, "super_setup_bdi" },
	{ 0x41ce9823, "p9stat_read" },
	{ 0x929b370b, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3349db3, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7206537e, "p9_client_statfs" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0x5012200a, "p9_client_link" },
	{ 0x9bb5834b, "inc_nlink" },
	{ 0xc97121d, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x5b40f7ac, "p9_client_stat" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0xe61116cd, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x8a39e46b, "deactivate_locked_super" },
	{ 0x14da8fa, "__tracepoint_9p_fid_ref" },
	{ 0xcf25d45b, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xc26b37f8, "generic_file_open" },
	{ 0xea572917, "is_bad_inode" },
	{ 0xd59ce150, "p9_client_begin_disconnect" },
	{ 0xbdef25a4, "__fscache_use_cookie" },
	{ 0xca01c14f, "p9_client_getlock_dotl" },
	{ 0xea13142b, "netfs_unbuffered_read_iter" },
	{ 0x2d7ae390, "filemap_splice_read" },
	{ 0x6c968541, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0x3df47cf1, "kill_anon_super" },
	{ 0x95e3bdb6, "from_kuid_munged" },
	{ 0x2d489f93, "filemap_write_and_wait_range" },
	{ 0x42f6288c, "do_trace_9p_fid_get" },
	{ 0xcd96a77e, "p9_client_readdir" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xac8d6557, "netfs_subreq_terminated" },
	{ 0x2a00363e, "__remove_inode_hash" },
	{ 0xbea4d631, "filemap_fault" },
	{ 0x5946729c, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89557ddf, "generic_file_llseek" },
	{ 0x53b954a2, "up_read" },
	{ 0xa0749bf5, "p9_client_mknod_dotl" },
	{ 0x1f3c6437, "set_anon_super" },
	{ 0xb36b131, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x8987875e, "iget_failed" },
	{ 0x22adce2a, "kmem_cache_destroy" },
	{ 0x6a5651c9, "__fscache_acquire_cookie" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7ef2e502, "posix_test_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xfd2826ea, "inode_init_owner" },
	{ 0xa9048f15, "filemap_fdatawrite" },
	{ 0xbe871073, "generic_fillattr" },
	{ 0xffac5f24, "p9_client_getattr_dotl" },
	{ 0x322eb160, "p9_client_wstat" },
	{ 0x7b3230dc, "setattr_prepare" },
	{ 0xe841f348, "p9_client_open" },
	{ 0xfa03970a, "iget_locked" },
	{ 0xd4161ca2, "clear_nlink" },
	{ 0xcc364e93, "p9_client_rename" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf5502d33, "d_instantiate" },
	{ 0xc2ade565, "clear_inode" },
	{ 0xb22a9fcb, "__fscache_acquire_volume" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x42d81e95, "__fscache_resize_cookie" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x41426a25, "filemap_map_pages" },
	{ 0xd51e8794, "netfs_unpin_writeback" },
	{ 0xcad82723, "netfs_file_read_iter" },
	{ 0x4f1834a2, "init_special_inode" },
	{ 0x1ce57d85, "unregister_filesystem" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5887d87a, "simple_statfs" },
	{ 0xdbdaff03, "d_make_root" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x105e732a, "invalidate_mapping_pages" },
	{ 0x2b2aa546, "__fscache_unuse_cookie" },
	{ 0x31e3a434, "netfs_unbuffered_write_iter" },
	{ 0x8508604c, "always_delete_dentry" },
	{ 0xcb07134, "p9_client_remove" },
	{ 0x551f9cb2, "d_splice_alias" },
	{ 0xbb7e600a, "ihold" },
	{ 0x6eb744b8, "p9_client_renameat" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd564aa52, "finish_open" },
	{ 0x65c915e5, "iput" },
	{ 0xf18f13fe, "generic_file_readonly_mmap" },
	{ 0xb5d2ee59, "netfs_writepages" },
	{ 0x60dad612, "iter_file_splice_write" },
	{ 0x8704abe4, "p9_client_fcreate" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb93dd8c8, "p9_is_proto_dotu" },
	{ 0x74d97300, "__fscache_relinquish_cookie" },
	{ 0x64b45b32, "register_filesystem" },
	{ 0xbdc0b71e, "kmem_cache_create" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "9pnet,netfs");


MODULE_INFO(srcversion, "89DBD558526CA51CBCAE51D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
