#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x696531c0, "");
SYMBOL_CRC(configfs_depend_item, 0x0f247b12, "");
SYMBOL_CRC(configfs_undepend_item, 0x0db7c77a, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0x9b7f9cfe, "");
SYMBOL_CRC(configfs_register_group, 0xa3a05d59, "");
SYMBOL_CRC(configfs_unregister_group, 0xc142f5bf, "");
SYMBOL_CRC(configfs_register_default_group, 0x8b9814d2, "");
SYMBOL_CRC(configfs_unregister_default_group, 0xc836f9db, "");
SYMBOL_CRC(configfs_register_subsystem, 0x79792e66, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0x072321c1, "");
SYMBOL_CRC(config_item_set_name, 0x4cccddbe, "");
SYMBOL_CRC(config_item_init_type_name, 0xc3e1953c, "");
SYMBOL_CRC(config_group_init_type_name, 0x097c40e3, "");
SYMBOL_CRC(config_item_get, 0x4ed31b68, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x6131ff0e, "");
SYMBOL_CRC(config_item_put, 0x6e773132, "");
SYMBOL_CRC(config_group_init, 0x13ba982d, "");
SYMBOL_CRC(config_group_find_item, 0x877bb2ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64b45b32, "register_filesystem" },
	{ 0xbdc0b71e, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x55f39683, "path_put" },
	{ 0xf17a35b4, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5022eb0b, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61450d9a, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7591e03b, "simple_setattr" },
	{ 0xefe6af48, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda028a43, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x754f663, "kmem_cache_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69aa5337, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0x5e16c756, "kern_path" },
	{ 0x80f2011, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb90a1fd8, "kmem_cache_alloc_noprof" },
	{ 0xd26e80d0, "ram_aops" },
	{ 0x5da6ccae, "d_delete" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xe3349db3, "generic_read_dir" },
	{ 0xe2d39f5d, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xcb233352, "inode_set_ctime_current" },
	{ 0x9bb5834b, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe61116cd, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xc9878a64, "generic_delete_inode" },
	{ 0x934bcb1f, "_copy_from_iter" },
	{ 0x679cec3e, "simple_release_fs" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xd409fa27, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0x35491c02, "inode_permission" },
	{ 0x89557ddf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xdf7b9c77, "simple_pin_fs" },
	{ 0x22adce2a, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa085d63d, "__d_drop" },
	{ 0x1458dfeb, "simple_rmdir" },
	{ 0x45cf4abd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf5502d33, "d_instantiate" },
	{ 0xeaa7ded, "_copy_to_iter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x80fa3d07, "free_inode_nonrcu" },
	{ 0xe2f5a536, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1ce57d85, "unregister_filesystem" },
	{ 0x5b27ae72, "d_alloc_name" },
	{ 0x5887d87a, "simple_statfs" },
	{ 0xdbdaff03, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8508604c, "always_delete_dentry" },
	{ 0x3f21a00f, "fsnotify" },
	{ 0xaae8d158, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x90c8d903, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x65c915e5, "iput" },
	{ 0x34fabcf, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x5ffa3434, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2DBFCCAE04CA09FBCC0CD13");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
