#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_ioctl, "_gpl", "");

SYMBOL_CRC(l2tp_ioctl, 0x31736300, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa75f01a3, "sock_queue_rcv_skb_reason" },
	{ 0xf742d9f4, "__udp_disconnect" },
	{ 0x144dace5, "lock_sock_nested" },
	{ 0x46131023, "release_sock" },
	{ 0xe0b77453, "__ip4_datagram_connect" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe953b2c7, "sk_common_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbefc0ed2, "inet_addr_type" },
	{ 0x3d3725c2, "dst_release" },
	{ 0x1d844fa, "sock_wmalloc" },
	{ 0xcfbd2001, "skb_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x934bcb1f, "_copy_from_iter" },
	{ 0xdc8d90f2, "__sk_dst_check" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe65f17bd, "ip_queue_xmit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x92f659a, "ip_route_output_flow" },
	{ 0x516b74d7, "sk_setup_caps" },
	{ 0x34e1c0c1, "make_kuid" },
	{ 0xd11840c8, "iov_iter_revert" },
	{ 0xf63db5c, "l2tp_session_get" },
	{ 0x22a2fd24, "l2tp_recv_common" },
	{ 0x781d9280, "l2tp_session_dec_refcount" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x4249280c, "__sk_receive_skb" },
	{ 0x6c211cc6, "__pskb_pull_tail" },
	{ 0x6f503ba6, "__xfrm_policy_check" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe8e9fe88, "sk_free" },
	{ 0x6aa2090b, "skb_recv_datagram" },
	{ 0x5c326cf6, "skb_copy_datagram_iter" },
	{ 0xa533d426, "skb_free_datagram" },
	{ 0xcb5caf1c, "__sock_recv_timestamp" },
	{ 0x44884504, "ip_cmsg_recv_offset" },
	{ 0xf2639f7d, "__sock_recv_wifi_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x669d24d0, "inet_release" },
	{ 0x96106ccd, "inet_bind" },
	{ 0xa1df0af6, "inet_dgram_connect" },
	{ 0x5777dc68, "sock_no_socketpair" },
	{ 0x1cc79fbb, "sock_no_accept" },
	{ 0x95856aff, "datagram_poll" },
	{ 0xc88d1815, "inet_ioctl" },
	{ 0xa9ed3424, "sock_gettstamp" },
	{ 0x3d352bd0, "sock_no_listen" },
	{ 0x1d75fa72, "inet_shutdown" },
	{ 0x4c4c6358, "sock_common_setsockopt" },
	{ 0xb275d00a, "sock_common_getsockopt" },
	{ 0xc29e7405, "inet_sendmsg" },
	{ 0x491b9df6, "sock_common_recvmsg" },
	{ 0x1ea97be8, "sock_no_mmap" },
	{ 0xc6c34432, "ip_setsockopt" },
	{ 0x3ea03ccb, "ip_getsockopt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x92997ed8, "_printk" },
	{ 0x952cfab1, "proto_register" },
	{ 0x30c607bb, "inet_add_protocol" },
	{ 0xf53d0eb6, "proto_unregister" },
	{ 0xf94431d6, "inet_register_protosw" },
	{ 0xc5d439b3, "l2tp_sk_to_tunnel" },
	{ 0xb8fef7ff, "kfree_skb_reason" },
	{ 0xd6171524, "l2tp_tunnel_delete" },
	{ 0xedefa1f9, "inet_unregister_protosw" },
	{ 0x8c4cce85, "inet_del_protocol" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "A6ECB3EE8D796BCA4A16D0A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
