#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x72b2f48c, "");
SYMBOL_CRC(fw_iso_resources_init, 0xa0889add, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x48cf2066, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x941814e3, "");
SYMBOL_CRC(fw_iso_resources_update, 0xe352d74a, "");
SYMBOL_CRC(fw_iso_resources_free, 0x81ed39dd, "");
SYMBOL_CRC(iso_packets_buffer_init, 0xcbad53e1, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x1631419f, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x8863fdb6, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x16fa881b, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x39c222e5, "");
SYMBOL_CRC(fcp_avc_transaction, 0x53175221, "");
SYMBOL_CRC(fcp_bus_reset, 0xe8604ce9, "");
SYMBOL_CRC(cmp_connection_init, 0xa5461a5a, "");
SYMBOL_CRC(cmp_connection_check_used, 0xf2897767, "");
SYMBOL_CRC(cmp_connection_destroy, 0xa06d877b, "");
SYMBOL_CRC(cmp_connection_reserve, 0xea0e36f3, "");
SYMBOL_CRC(cmp_connection_release, 0x09c2e62f, "");
SYMBOL_CRC(cmp_connection_establish, 0x4c1aa340, "");
SYMBOL_CRC(cmp_connection_update, 0x4650271a, "");
SYMBOL_CRC(cmp_connection_break, 0x318145a5, "");
SYMBOL_CRC(amdtp_stream_init, 0x30e0e8e4, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xb53a1727, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x56aac621, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x0ad204b2, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0xc70e31ae, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x5840dfa3, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xba524a08, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xd36a7ddd, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x64c3eb80, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x3af7256b, "");
SYMBOL_CRC(amdtp_domain_init, 0xe63a2c93, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xe2756f74, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0xe988fdfb, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x09a05a5a, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x1a135227, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x15cd75cb, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x0f6def05, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0xc5544b9b, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x0acaa698, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x2e2098e2, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0xd05ce492, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e03a25b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf63d29ac, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x8dce96be, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x2f075d3d, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcc10ad1c, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63636e67, "fw_core_add_address_handler" },
	{ 0x62c75676, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea6caf56, "snd_pcm_hw_rule_add" },
	{ 0xfe58f1c5, "fw_iso_context_queue" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xe0d413fc, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa5dc19f9, "perf_trace_run_bpf_submit" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xf908839e, "fw_iso_buffer_destroy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5fc6517c, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4a511312, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c2ed0e6, "bpf_trace_run9" },
	{ 0xcf44bd31, "snd_pcm_period_elapsed_under_stream_lock" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaec3b506, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3d54fc43, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xab4ec461, "snd_pcm_stop_xrun" },
	{ 0x307eecf5, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xc410b0c3, "snd_pcm_period_elapsed" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9d94a5e3, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x2c749e7, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xe8837ee0, "fw_run_transaction" },
	{ 0xd517241a, "snd_rawmidi_receive" },
	{ 0xb41335b5, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4cf1cd0, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xea8e09b, "trace_raw_output_prep" },
	{ 0x85426daa, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78ed6097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa2fdc77, "snd_pcm_hw_constraint_minmax" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "25F1533FE57D7CC9D8DB43D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
