#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0xf6f6d961, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x59c4d21c, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x3e5b17cb, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0xffd5d48c, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x55ad07fc, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x61b4459a, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xf6ac1ac3, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x6281b33b, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x29d8d997, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x2ff2d253, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8474318, "snd_pcm_hw_rule_noresample" },
	{ 0xeac205c, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd517241a, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x471bd035, "snd_dma_alloc_dir_pages" },
	{ 0xd17144ad, "devm_request_threaded_irq" },
	{ 0x5ead5328, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x4cf1cd0, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x59bb3cb0, "snd_ac97_write_cache" },
	{ 0xf9347141, "snd_ctl_add" },
	{ 0x285883c2, "snd_ac97_resume" },
	{ 0x1f2f219c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8cecf57d, "snd_seq_device_new" },
	{ 0xeefc8099, "snd_card_register" },
	{ 0x77b183f3, "request_firmware" },
	{ 0xf375b1ed, "snd_devm_alloc_dir_pages" },
	{ 0x85391c51, "__pci_register_driver" },
	{ 0xfa2fdc77, "snd_pcm_hw_constraint_minmax" },
	{ 0xafa955d1, "snd_timer_interrupt" },
	{ 0xafce403b, "param_array_ops" },
	{ 0x823a7d57, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd74fdc29, "snd_card_rw_proc_new" },
	{ 0xb0aa3fed, "snd_ac97_update_bits" },
	{ 0xf511a01c, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc9b11d55, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x3fd2bce8, "snd_ctl_remove" },
	{ 0xa1dcf6c7, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ac05d61, "snd_ctl_find_id" },
	{ 0x396fb18a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x951a1e6c, "pci_read_config_dword" },
	{ 0x3094164, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x395648f9, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99e5d203, "snd_ctl_remove_id" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8ff477cc, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x2f5ad96e, "snd_ac97_suspend" },
	{ 0x8d3bfa97, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0x6a5fba0f, "snd_ctl_boolean_mono_info" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x15e6f66a, "snd_pcm_lib_free_pages" },
	{ 0xf8e9b838, "snd_hwdep_new" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x33560638, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x81c24c02, "snd_ctl_notify" },
	{ 0xf04d7f99, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x559668ee, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf60f852a, "snd_timer_new" },
	{ 0x2498b358, "snd_ctl_rename" },
	{ 0xc0d66907, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x63b28e99, "snd_ac97_update" },
	{ 0x805a93bf, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x8e2ba7a1, "pci_set_master" },
	{ 0xd23d336a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x12de553c, "snd_rawmidi_new" },
	{ 0x235d130f, "dma_set_coherent_mask" },
	{ 0x5bc6d2b5, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c833520, "_dev_notice" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x43ce662e, "snd_rawmidi_set_ops" },
	{ 0x9b2fddf2, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0x7e8ae184, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf53d0d19, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x97a568d2, "snd_info_create_card_entry" },
	{ 0xe1203101, "dma_set_mask" },
	{ 0x867ce692, "snd_device_free" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xc410b0c3, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0x8a6691e5, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FE40B7DB0CE2DF0DC57F47C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
