#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xc01850db, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x33675139, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x4736950b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeef95cb3, "__dynamic_dev_dbg" },
	{ 0x3fd2bce8, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7aaa001e, "cs35l56_get_calibration" },
	{ 0xd03732b0, "__pm_runtime_set_status" },
	{ 0x395648f9, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb22d7aa, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x2aabd11e, "device_property_read_u32_array" },
	{ 0x7bd42abd, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd4d03f46, "cs35l56_init_cs_dsp" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x35a5184d, "cs_dsp_halo_init" },
	{ 0x35680c6a, "cs_dsp_power_down" },
	{ 0x8631bf8, "debugfs_remove" },
	{ 0x3aa7c2f9, "hda_cs_dsp_add_controls" },
	{ 0x19af8666, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc8a6d52c, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa8a2f241, "cs35l56_mbox_send" },
	{ 0x8e564eed, "cs35l56_hw_init" },
	{ 0x43adc190, "_dev_warn" },
	{ 0xccbc4f90, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f205381, "cs_dsp_power_up" },
	{ 0x51953d8a, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x193029ce, "cs35l56_wait_for_firmware_boot" },
	{ 0x8f509703, "devm_kasprintf" },
	{ 0x984e67c1, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xa8fc0e1c, "cs35l56_is_fw_reload_needed" },
	{ 0xb7899611, "regmap_read" },
	{ 0x46c040e3, "cs_dsp_run" },
	{ 0xbfa23928, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1cac7b55, "cs_amp_write_cal_coeffs" },
	{ 0xd8eba2d7, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7156b6be, "cs35l56_runtime_resume_common" },
	{ 0xc8069a0b, "regmap_update_bits_base" },
	{ 0x63b68cce, "dev_err_probe" },
	{ 0xe4e75b43, "regmap_multi_reg_write" },
	{ 0x4567938, "__pm_runtime_suspend" },
	{ 0xd4a90ec7, "component_add" },
	{ 0x4c1bed88, "set_primary_fwnode" },
	{ 0x1afed0cd, "__pm_runtime_use_autosuspend" },
	{ 0xcf5d4b42, "devm_gpiod_get_index_optional" },
	{ 0x7a89953c, "__pm_runtime_disable" },
	{ 0x12ea0cf, "debugfs_create_dir" },
	{ 0xfcd1ae26, "cs35l56_firmware_shutdown" },
	{ 0xa8abbce2, "pm_runtime_force_suspend" },
	{ 0xdb3cb306, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7d329d5c, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xba60816f, "regcache_cache_only" },
	{ 0xda92fdd3, "is_acpi_device_node" },
	{ 0x79515048, "regcache_sync" },
	{ 0xdb298343, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xa0a9f6f, "firmware_request_nowarn" },
	{ 0xf9347141, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf999a0ae, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa90dd391, "cs_dsp_stop" },
	{ 0xd7be3a44, "pm_runtime_set_autosuspend_delay" },
	{ 0x5d9bd06a, "gpiod_set_value_cansleep" },
	{ 0xb6d8162b, "hda_cs_dsp_control_remove" },
	{ 0xe1a91516, "component_del" },
	{ 0x633fbe6c, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x68a00d08, "sound_debugfs_root" },
	{ 0xa2d8e29f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x58833560, "cs_dsp_init_debugfs" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-hda-cs-dsp-ctls,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "7792FCFAEDAE2D32EC1B176");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
